import { IHttpRequest } from '../interfaces/http.request.interface';
export default abstract class Controller {
    abstract handler(httpRequest: IHttpRequest): Promise<void | any>;
    protected clientError(): number;
    protected conflict(): number;
    protected created(): number;
    protected gone(): number;
    protected internalError(): number;
    protected notFound(): number;
    protected ok(): number;
    protected unauthorized(): number;
}
