export declare enum Collections {
    App = "app",
    Branch = "branch",
    BusinessType = "business_type",
    Company = "company",
    CompanyTransaction = "company_transaction",
    Invite = "invite",
    Plan = "Plan",
    PricingPlan = "pricing_plan",
    ResetPassword = "reset_password",
    User = "user",
    Menu = "menu",
    Role = "role",
    UserRole = "user_role",
    PageField = "page_field",
    PageFieldUser = "page_field_user",
    ReportGroup = "report_group",
    Setting = "setting",
    Dashboard = "Dashboard",
    BankAccount = "bank_account",
    Country = "country",
    Currency = "currency",
    CurrencyExchangeRate = "exchange_rate",
    Nationality = "nationality",
    Reason = "reason",
    ConfigDocumentNoSeries = "config_document_no_series",
    DocumentNoSeries = "document_no_series",
    DocumentNoSeriesHistory = "document_no_series_history",
    ApprovalSetup = "approval_setup",
    ApprovalRequest = "approval_request",
    CompositeItem = "composite_item",
    Customer = "customer",
    CustomerGroup = "customer_group",
    Item = "item",
    ItemBrand = "item_brand",
    ItemCategory = "item_category",
    ItemGroup = "item_group",
    ItemClass = "item_class",
    ItemUnitOfMeasure = "item_unit_of_measure",
    ItemVariant = "item_variant",
    ItemWarehouseTracking = "item_warehouse_tracking",
    ItemTracking = "item_tracking",
    ItemGallery = "item_gallery",
    Preference = "preference",
    SalesChannel = "sales_channel",
    SalesLinePrice = "sales_line_price",
    Salesperson = "salesperson",
    ShipmentAgent = "shipment_agent",
    ShipmentMethod = "shipment_method",
    PaymentTerm = "payment_term",
    PaymentMethod = "payment_method",
    UnitOfMeasure = "unit_of_measure",
    Vendor = "vendor",
    Warehouse = "warehouse",
    Tax = "tax",
    InventoryAdjustmentHeader = "inventory_adjustment_header",
    InventoryAdjustmentLine = "inventory_adjustment_line",
    ItemLedgerEntry = "item_ledger_entry",
    ItemValueEntry = "item_value_entry",
    SalesQuoteHeader = "sales_quote_header",
    SalesQuoteLine = "sales_quote_line",
    SalesOrderHeader = "sales_order_header",
    SalesOrderLine = "sales_order_line",
    SalesReceiptHeader = "sales_receipt_header",
    SalesReceiptLine = "sales_receipt_line",
    SalesShipmentHeader = "sales_shipment_header",
    SalesShipmentLine = "sales_shipment_line",
    SalesInvoiceHeader = "sales_invoice_header",
    SalesInvoiceLine = "sales_invoice_line",
    SalesCreditMemoHeader = "sales_credit_memo_header",
    SalesCreditMemoLine = "sales_credit_memo_line",
    SalesPackageHeader = "sales_package_header",
    SalesPackageLine = "sales_package_line",
    SalesItemTrackingTransient = "sales_item_tracking_transient",
    POSShift = "pos_shift",
    PurchaseQuoteHeader = "purchase_quote_header",
    PurchaseQuoteLine = "purchase_quote_line",
    PurchaseOrderHeader = "purchase_order_header",
    PurchaseOrderLine = "purchase_order_line",
    PurchaseInvoiceHeader = "purchase_invoice_header",
    PurchaseInvoiceLine = "purchase_invoice_line",
    PurchaseCreditMemoHeader = "purchase_credit_memo_header",
    PurchaseCreditMemoLine = "purchase_credit_memo_line",
    PurchaseReceiptHeader = "purchase_receipt_header",
    PurchaseReceiptLine = "purchase_receipt_line",
    PurchaseShipmentHeader = "purchase_shipment_header",
    PurchaseShipmentLine = "purchase_shipment_line",
    PurchaseItemTrackingTransient = "purchase_item_tracking_transient",
    TransferOrderHeader = "transfer_order_header",
    TransferOrderLine = "transfer_order_line",
    TransferReceiptHeader = "transfer_receipt_header",
    TransferReceiptLine = "transfer_receipt_line",
    TransferShipmentHeader = "transfer_shipment_header",
    TransferShipmentLine = "transfer_shipment_line",
    InventoryItemTrackingTransient = "inventory_item_tracking_transient",
    VATEntry = "vat_entry",
    VendorLedgerEntry = "vendor_ledger_entry",
    Payment = "payment",
    CustomerLedgerEntry = "customer_ledger_entry",
    CashReceipt = "cash_receipt",
    BankLedgerEntry = "bank_ledger_entry",
    BankReconcile = "bank_reconcile",
    ActivityLog = "activity_log",
    SystemLog = "system_log",
    TaskQueue = "task_queue",
    LoyaltyTier = "loyalty_tier",
    LoyaltyMembership = "loyalty_membership",
    LoyaltyVoucher = "loyalty_voucher",
    LoyaltyPromotion = "loyalty_promotion",
    LoyaltyReward = "loyalty_reward",
    LoyaltyLedgerEntry = "loyalty_ledger_entry",
    LoyaltyPromotionItem = "loyalty_promotion_item",
    LoyaltyInfoTransient = "loyalty_info_transient",
    SubscriptionBillingInterval = "subscription_billing_interval",
    SubscriptionAddon = "subscription_addon",
    SubscriptionPricingPlan = "subscription_pricing_plan",
    SubscriptionProduct = "subscription_product",
    SubscriptionHeader = "subscription_header",
    SubscriptionLine = "subscription_line",
    SubscriptionEvent = "subscription_event",
    NotificationAppConfig = "notification_app_config",
    SubscriberNotification = "subscriber_notification",
    NotificationMessage = "notification_message",
    UserNotification = "user_notification",
    NotificationQueue = "notification_queue",
    InventoryTaskQueue = "inventory_task_queue",
    PurchaseTaskQueue = "purchase_task_queue",
    SalesTaskQueue = "sales_task_queue",
    SubscriptionTaskQueue = "subscription_task_queue",
    LoyaltyTaskQueue = "loyalty_task_queue",
    Media = "media",
    POSUser = "pos_user",
    ItemModifier = "item_modifier",
    AppSetting = "device_setting",
    AppDevice = "app_device",
    Device = "device",
    FloorPlan = "floor_plan",
    Table = "table",
    Reservation = "reservation"
}
