export declare enum AppStatus {
    ComingSoon = "Coming Soon",
    Published = "Published",
    Suspended = "Suspended",
    Maintenance = "Maintenance"
}
export declare enum AppStatusCode {
    ComingSoon = 1,
    Published = 2,
    Suspended = 3,
    Maintenance = 4
}
export declare enum AppType {
    App = "App",
    Extension = "Extension"
}
export declare enum AppTypeCode {
    App = 1,
    Extension = 2
}
export declare enum IPricingPlanStatus {
    ComingSoon = "Coming Soon",
    Published = "Published",
    Suspended = "Suspended"
}
export declare enum IPricingPlanStatusCode {
    ComingSoon = 1,
    Published = 2,
    Suspended = 3
}
export declare enum ISubscriptionStatus {
    Pending = "Pending",
    Active = "Active",
    Suspended = "Suspended",
    Expired = "Expired"
}
export declare enum ISubscriptionStatusCode {
    Pending = 1,
    Active = 2,
    Suspended = 3,
    Expired = 4
}
export declare enum CompanyStatus {
    Pending = "Pending",
    Verified = "Verified",
    Active = "Active",
    Suspended = "Suspended"
}
export declare enum CompanyStatusCode {
    Pending = 1,
    Verified = 2,
    Active = 3,
    Suspended = 4
}
export declare enum UserStatusCode {
    NotVerified = 0,
    Active = 1,
    Away = 2,
    Inactive = 3,
    Suspended = 4
}
export declare enum UserStatus {
    NotVerified = "Not Verified",
    Active = "Active",
    Away = "Away",
    Inactive = "Inactive",
    Suspended = "Suspended"
}
export declare enum TelegramTypeCode {
    Group = 1,
    Channel = 2
}
export declare enum TelegramType {
    Group = "Group",
    Channel = "Channel"
}
