export declare enum LoyaltyPromotionTypeCode {
    Discount = 1,
    BuyItemsAndFreeItems = 2,
    BuyItemsGetSpecialPrice = 3,
    PaymentServiceProviderDiscount = 4
}
export declare enum LoyaltyPromotionType {
    Discount = "Discount",
    BuyItemsAndFreeItems = "Buy Item and Free Items",
    BuyItemsGetSpecialPrice = "Buy Item Get Special Price",
    PaymentServiceProviderDiscount = "Payment Service Provider Discount"
}
export declare enum LoyaltyPromotionStatusCode {
    Draft = 0,
    Scheduled = 1,
    PendingApproval = 2,
    Approved = 3,
    Rejected = 4,
    Ongoing = 5,
    Suspended = 6,
    Expired = 7,
    Processing = 8
}
export declare enum LoyaltyPromotionStatus {
    Draft = "Draft",
    Scheduled = "Scheduled",
    PendingApproval = "PendingApproval",
    Approved = "Approved",
    Rejected = "Rejected",
    Ongoing = "Ongoing",
    Suspended = "Suspended",
    Expired = "Expired",
    Processing = "Processing"
}
export declare enum LoyaltyRewardTypeCode {
    RedeemableItem = 1
}
export declare enum LoyaltyRewardType {
    RedeemableItem = "Redeemable Item"
}
export declare enum LoyaltyRewardStatusCode {
    Redeemable = 1,
    Expired = 2
}
export declare enum LoyaltyRewardStatus {
    Redeemable = "Redeemable",
    Expired = "Expired"
}
export declare enum LoyaltyMembershipStatusCode {
    Active = 1,
    Suspended = 2,
    Expired = 3
}
export declare enum LoyaltyMembershipStatus {
    Active = "Active",
    Suspended = "Suspended",
    Expired = "Expired"
}
export declare enum LoyaltyVoucherLimitTypeCode {
    Unlimited = 1,
    Limit = 2,
    LimitPerCustomer = 3
}
export declare enum LoyaltyVoucherLimitType {
    Unlimited = "Unlimited",
    Limit = "Limit",
    LimitPerCustomer = "Limit Per Customer"
}
export declare enum LoyaltyVoucherStatusCode {
    Draft = 0,
    Published = 1,
    Expired = 2,
    Unpublished = 3
}
export declare enum LoyaltyVoucherStatus {
    Draft = "Draft",
    Published = "Published",
    Expired = "Expired",
    Unpublished = "Unpublished"
}
export declare enum LoyaltyEntryTypeCode {
    Point = 1,
    Voucher = 2
}
export declare enum LoyaltyEntryType {
    Point = "Point",
    Voucher = "Voucher"
}
export declare enum LoyaltyApplyCustomerCode {
    AllCustomers = 1,
    Customers = 2,
    CustomerGroup = 3
}
export declare enum LoyaltyApplyCustomer {
    AllCustomers = "All Customers",
    Customers = "Customers",
    CustomerGroup = "Customer Group"
}
export declare enum LoyaltyApplyItemCode {
    AllItems = 1,
    Items = 2,
    ItemCategories = 3
}
export declare enum LoyaltyApplyItem {
    AllItems = "All Items",
    Items = "Items",
    ItemCategories = "Item Categories"
}
export declare enum LoyaltyPromotionFreeTypeCode {
    None = 0,
    FreeBasedOnBuyQuantity = 1,
    FreeSpecificQuantity = 2
}
export declare enum LoyaltyPromotionFreeType {
    None = "None",
    FreeBasedOnBuyQuantity = "Free Based On Buy Quantity ",
    FreeSpecificQuantity = "Free Specific Quantity"
}
export declare enum LoyaltyTransientDocumentTypeCode {
    Promotion = 1
}
export declare enum LoyaltyTransientDocumentType {
    Promotion = "Promotion"
}
