"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LoyaltyTransientDocumentType = exports.LoyaltyTransientDocumentTypeCode = exports.LoyaltyPromotionFreeType = exports.LoyaltyPromotionFreeTypeCode = exports.LoyaltyApplyItem = exports.LoyaltyApplyItemCode = exports.LoyaltyApplyCustomer = exports.LoyaltyApplyCustomerCode = exports.LoyaltyEntryType = exports.LoyaltyEntryTypeCode = exports.LoyaltyVoucherStatus = exports.LoyaltyVoucherStatusCode = exports.LoyaltyVoucherLimitType = exports.LoyaltyVoucherLimitTypeCode = exports.LoyaltyMembershipStatus = exports.LoyaltyMembershipStatusCode = exports.LoyaltyRewardStatus = exports.LoyaltyRewardStatusCode = exports.LoyaltyRewardType = exports.LoyaltyRewardTypeCode = exports.LoyaltyPromotionStatus = exports.LoyaltyPromotionStatusCode = exports.LoyaltyPromotionType = exports.LoyaltyPromotionTypeCode = void 0;
var LoyaltyPromotionTypeCode;
(function (LoyaltyPromotionTypeCode) {
    LoyaltyPromotionTypeCode[LoyaltyPromotionTypeCode["Discount"] = 1] = "Discount";
    LoyaltyPromotionTypeCode[LoyaltyPromotionTypeCode["BuyItemsAndFreeItems"] = 2] = "BuyItemsAndFreeItems";
    LoyaltyPromotionTypeCode[LoyaltyPromotionTypeCode["BuyItemsGetSpecialPrice"] = 3] = "BuyItemsGetSpecialPrice";
    LoyaltyPromotionTypeCode[LoyaltyPromotionTypeCode["PaymentServiceProviderDiscount"] = 4] = "PaymentServiceProviderDiscount";
})(LoyaltyPromotionTypeCode || (exports.LoyaltyPromotionTypeCode = LoyaltyPromotionTypeCode = {}));
var LoyaltyPromotionType;
(function (LoyaltyPromotionType) {
    LoyaltyPromotionType["Discount"] = "Discount";
    LoyaltyPromotionType["BuyItemsAndFreeItems"] = "Buy Item and Free Items";
    LoyaltyPromotionType["BuyItemsGetSpecialPrice"] = "Buy Item Get Special Price";
    LoyaltyPromotionType["PaymentServiceProviderDiscount"] = "Payment Service Provider Discount";
})(LoyaltyPromotionType || (exports.LoyaltyPromotionType = LoyaltyPromotionType = {}));
var LoyaltyPromotionStatusCode;
(function (LoyaltyPromotionStatusCode) {
    LoyaltyPromotionStatusCode[LoyaltyPromotionStatusCode["Draft"] = 0] = "Draft";
    LoyaltyPromotionStatusCode[LoyaltyPromotionStatusCode["Scheduled"] = 1] = "Scheduled";
    LoyaltyPromotionStatusCode[LoyaltyPromotionStatusCode["PendingApproval"] = 2] = "PendingApproval";
    LoyaltyPromotionStatusCode[LoyaltyPromotionStatusCode["Approved"] = 3] = "Approved";
    LoyaltyPromotionStatusCode[LoyaltyPromotionStatusCode["Rejected"] = 4] = "Rejected";
    LoyaltyPromotionStatusCode[LoyaltyPromotionStatusCode["Ongoing"] = 5] = "Ongoing";
    LoyaltyPromotionStatusCode[LoyaltyPromotionStatusCode["Suspended"] = 6] = "Suspended";
    LoyaltyPromotionStatusCode[LoyaltyPromotionStatusCode["Expired"] = 7] = "Expired";
    LoyaltyPromotionStatusCode[LoyaltyPromotionStatusCode["Processing"] = 8] = "Processing";
})(LoyaltyPromotionStatusCode || (exports.LoyaltyPromotionStatusCode = LoyaltyPromotionStatusCode = {}));
var LoyaltyPromotionStatus;
(function (LoyaltyPromotionStatus) {
    LoyaltyPromotionStatus["Draft"] = "Draft";
    LoyaltyPromotionStatus["Scheduled"] = "Scheduled";
    LoyaltyPromotionStatus["PendingApproval"] = "PendingApproval";
    LoyaltyPromotionStatus["Approved"] = "Approved";
    LoyaltyPromotionStatus["Rejected"] = "Rejected";
    LoyaltyPromotionStatus["Ongoing"] = "Ongoing";
    LoyaltyPromotionStatus["Suspended"] = "Suspended";
    LoyaltyPromotionStatus["Expired"] = "Expired";
    LoyaltyPromotionStatus["Processing"] = "Processing";
})(LoyaltyPromotionStatus || (exports.LoyaltyPromotionStatus = LoyaltyPromotionStatus = {}));
var LoyaltyRewardTypeCode;
(function (LoyaltyRewardTypeCode) {
    LoyaltyRewardTypeCode[LoyaltyRewardTypeCode["RedeemableItem"] = 1] = "RedeemableItem";
})(LoyaltyRewardTypeCode || (exports.LoyaltyRewardTypeCode = LoyaltyRewardTypeCode = {}));
var LoyaltyRewardType;
(function (LoyaltyRewardType) {
    LoyaltyRewardType["RedeemableItem"] = "Redeemable Item";
})(LoyaltyRewardType || (exports.LoyaltyRewardType = LoyaltyRewardType = {}));
var LoyaltyRewardStatusCode;
(function (LoyaltyRewardStatusCode) {
    LoyaltyRewardStatusCode[LoyaltyRewardStatusCode["Redeemable"] = 1] = "Redeemable";
    LoyaltyRewardStatusCode[LoyaltyRewardStatusCode["Expired"] = 2] = "Expired";
})(LoyaltyRewardStatusCode || (exports.LoyaltyRewardStatusCode = LoyaltyRewardStatusCode = {}));
var LoyaltyRewardStatus;
(function (LoyaltyRewardStatus) {
    LoyaltyRewardStatus["Redeemable"] = "Redeemable";
    LoyaltyRewardStatus["Expired"] = "Expired";
})(LoyaltyRewardStatus || (exports.LoyaltyRewardStatus = LoyaltyRewardStatus = {}));
var LoyaltyMembershipStatusCode;
(function (LoyaltyMembershipStatusCode) {
    LoyaltyMembershipStatusCode[LoyaltyMembershipStatusCode["Active"] = 1] = "Active";
    LoyaltyMembershipStatusCode[LoyaltyMembershipStatusCode["Suspended"] = 2] = "Suspended";
    LoyaltyMembershipStatusCode[LoyaltyMembershipStatusCode["Expired"] = 3] = "Expired";
})(LoyaltyMembershipStatusCode || (exports.LoyaltyMembershipStatusCode = LoyaltyMembershipStatusCode = {}));
var LoyaltyMembershipStatus;
(function (LoyaltyMembershipStatus) {
    LoyaltyMembershipStatus["Active"] = "Active";
    LoyaltyMembershipStatus["Suspended"] = "Suspended";
    LoyaltyMembershipStatus["Expired"] = "Expired";
})(LoyaltyMembershipStatus || (exports.LoyaltyMembershipStatus = LoyaltyMembershipStatus = {}));
var LoyaltyVoucherLimitTypeCode;
(function (LoyaltyVoucherLimitTypeCode) {
    LoyaltyVoucherLimitTypeCode[LoyaltyVoucherLimitTypeCode["Unlimited"] = 1] = "Unlimited";
    LoyaltyVoucherLimitTypeCode[LoyaltyVoucherLimitTypeCode["Limit"] = 2] = "Limit";
    LoyaltyVoucherLimitTypeCode[LoyaltyVoucherLimitTypeCode["LimitPerCustomer"] = 3] = "LimitPerCustomer";
})(LoyaltyVoucherLimitTypeCode || (exports.LoyaltyVoucherLimitTypeCode = LoyaltyVoucherLimitTypeCode = {}));
var LoyaltyVoucherLimitType;
(function (LoyaltyVoucherLimitType) {
    LoyaltyVoucherLimitType["Unlimited"] = "Unlimited";
    LoyaltyVoucherLimitType["Limit"] = "Limit";
    LoyaltyVoucherLimitType["LimitPerCustomer"] = "Limit Per Customer";
})(LoyaltyVoucherLimitType || (exports.LoyaltyVoucherLimitType = LoyaltyVoucherLimitType = {}));
var LoyaltyVoucherStatusCode;
(function (LoyaltyVoucherStatusCode) {
    LoyaltyVoucherStatusCode[LoyaltyVoucherStatusCode["Draft"] = 0] = "Draft";
    LoyaltyVoucherStatusCode[LoyaltyVoucherStatusCode["Published"] = 1] = "Published";
    LoyaltyVoucherStatusCode[LoyaltyVoucherStatusCode["Expired"] = 2] = "Expired";
    LoyaltyVoucherStatusCode[LoyaltyVoucherStatusCode["Unpublished"] = 3] = "Unpublished";
})(LoyaltyVoucherStatusCode || (exports.LoyaltyVoucherStatusCode = LoyaltyVoucherStatusCode = {}));
var LoyaltyVoucherStatus;
(function (LoyaltyVoucherStatus) {
    LoyaltyVoucherStatus["Draft"] = "Draft";
    LoyaltyVoucherStatus["Published"] = "Published";
    LoyaltyVoucherStatus["Expired"] = "Expired";
    LoyaltyVoucherStatus["Unpublished"] = "Unpublished";
})(LoyaltyVoucherStatus || (exports.LoyaltyVoucherStatus = LoyaltyVoucherStatus = {}));
var LoyaltyEntryTypeCode;
(function (LoyaltyEntryTypeCode) {
    LoyaltyEntryTypeCode[LoyaltyEntryTypeCode["Point"] = 1] = "Point";
    LoyaltyEntryTypeCode[LoyaltyEntryTypeCode["Voucher"] = 2] = "Voucher";
})(LoyaltyEntryTypeCode || (exports.LoyaltyEntryTypeCode = LoyaltyEntryTypeCode = {}));
var LoyaltyEntryType;
(function (LoyaltyEntryType) {
    LoyaltyEntryType["Point"] = "Point";
    LoyaltyEntryType["Voucher"] = "Voucher";
})(LoyaltyEntryType || (exports.LoyaltyEntryType = LoyaltyEntryType = {}));
var LoyaltyApplyCustomerCode;
(function (LoyaltyApplyCustomerCode) {
    LoyaltyApplyCustomerCode[LoyaltyApplyCustomerCode["AllCustomers"] = 1] = "AllCustomers";
    LoyaltyApplyCustomerCode[LoyaltyApplyCustomerCode["Customers"] = 2] = "Customers";
    LoyaltyApplyCustomerCode[LoyaltyApplyCustomerCode["CustomerGroup"] = 3] = "CustomerGroup";
})(LoyaltyApplyCustomerCode || (exports.LoyaltyApplyCustomerCode = LoyaltyApplyCustomerCode = {}));
var LoyaltyApplyCustomer;
(function (LoyaltyApplyCustomer) {
    LoyaltyApplyCustomer["AllCustomers"] = "All Customers";
    LoyaltyApplyCustomer["Customers"] = "Customers";
    LoyaltyApplyCustomer["CustomerGroup"] = "Customer Group";
})(LoyaltyApplyCustomer || (exports.LoyaltyApplyCustomer = LoyaltyApplyCustomer = {}));
var LoyaltyApplyItemCode;
(function (LoyaltyApplyItemCode) {
    LoyaltyApplyItemCode[LoyaltyApplyItemCode["AllItems"] = 1] = "AllItems";
    LoyaltyApplyItemCode[LoyaltyApplyItemCode["Items"] = 2] = "Items";
    LoyaltyApplyItemCode[LoyaltyApplyItemCode["ItemCategories"] = 3] = "ItemCategories";
})(LoyaltyApplyItemCode || (exports.LoyaltyApplyItemCode = LoyaltyApplyItemCode = {}));
var LoyaltyApplyItem;
(function (LoyaltyApplyItem) {
    LoyaltyApplyItem["AllItems"] = "All Items";
    LoyaltyApplyItem["Items"] = "Items";
    LoyaltyApplyItem["ItemCategories"] = "Item Categories";
})(LoyaltyApplyItem || (exports.LoyaltyApplyItem = LoyaltyApplyItem = {}));
var LoyaltyPromotionFreeTypeCode;
(function (LoyaltyPromotionFreeTypeCode) {
    LoyaltyPromotionFreeTypeCode[LoyaltyPromotionFreeTypeCode["None"] = 0] = "None";
    LoyaltyPromotionFreeTypeCode[LoyaltyPromotionFreeTypeCode["FreeBasedOnBuyQuantity"] = 1] = "FreeBasedOnBuyQuantity";
    LoyaltyPromotionFreeTypeCode[LoyaltyPromotionFreeTypeCode["FreeSpecificQuantity"] = 2] = "FreeSpecificQuantity";
})(LoyaltyPromotionFreeTypeCode || (exports.LoyaltyPromotionFreeTypeCode = LoyaltyPromotionFreeTypeCode = {}));
var LoyaltyPromotionFreeType;
(function (LoyaltyPromotionFreeType) {
    LoyaltyPromotionFreeType["None"] = "None";
    LoyaltyPromotionFreeType["FreeBasedOnBuyQuantity"] = "Free Based On Buy Quantity ";
    LoyaltyPromotionFreeType["FreeSpecificQuantity"] = "Free Specific Quantity";
})(LoyaltyPromotionFreeType || (exports.LoyaltyPromotionFreeType = LoyaltyPromotionFreeType = {}));
var LoyaltyTransientDocumentTypeCode;
(function (LoyaltyTransientDocumentTypeCode) {
    LoyaltyTransientDocumentTypeCode[LoyaltyTransientDocumentTypeCode["Promotion"] = 1] = "Promotion";
})(LoyaltyTransientDocumentTypeCode || (exports.LoyaltyTransientDocumentTypeCode = LoyaltyTransientDocumentTypeCode = {}));
var LoyaltyTransientDocumentType;
(function (LoyaltyTransientDocumentType) {
    LoyaltyTransientDocumentType["Promotion"] = "Promotion";
})(LoyaltyTransientDocumentType || (exports.LoyaltyTransientDocumentType = LoyaltyTransientDocumentType = {}));
//# sourceMappingURL=loyalty.enum.js.map