export declare enum DeviceStatusCode {
    Active = 1,
    Suspended = 2
}
export declare enum DeviceStatus {
    Active = "Active",
    Suspended = "Suspended"
}
export declare enum POSUserStatusCode {
    Active = 1,
    Inactive = 2,
    Suspended = 3
}
export declare enum POSUserStatus {
    Active = "Active",
    Inactive = "Inactive",
    Suspended = "Suspended"
}
export declare enum POSUserTypeCode {
    Retail = 1,
    Restaurant = 2,
    KitchenOrder = 3,
    TableOrder = 4
}
export declare enum POSUserType {
    Retail = "Retail",
    Restaurant = "Restaurant",
    KitchenOrder = "KitchenOrder",
    TableOrder = "TableOrder"
}
export declare enum POSShiftStatusCode {
    Open = 1,
    Closed = 2
}
export declare enum POSShiftStatus {
    Open = "Open",
    Closed = "Closed"
}
export declare enum POSShiftCashLogType {
    In = 1,
    Out = 2
}
export declare enum FloorPlanStatusCode {
    Inactive = 1,
    Available = 2,
    Reserved = 3
}
export declare enum FloorPlanStatus {
    Inactive = "Inactive",
    Available = "Available",
    Reserved = "Reserved"
}
export declare enum TableStatusCode {
    Inactive = 1,
    Available = 2,
    Occupied = 3,
    Reserved = 4
}
export declare enum TableStatus {
    Inactive = "Inactive",
    Available = "Available",
    Occupied = "Occupied",
    Reserved = "Reserved"
}
export declare enum ReservationStatusCode {
    Confirmed = 1,
    Seated = 2,
    Completed = 3,
    Cancelled = 4,
    Void = 5
}
export declare enum ReservationStatus {
    Confirmed = "Confirmed",
    Seated = "Seated",
    Completed = "Completed",
    Cancelled = "Cancelled",
    Void = "Void"
}
export declare enum ReservationChannelCode {
    Phone = 1,
    InPerson = 2
}
export declare enum ReservationChannel {
    Phone = "Phone",
    InPerson = "In Person"
}
export declare enum KDSOrderStatusCode {
    New = 1,
    Ready = 2,
    Cancelled = 3,
    Void = 4
}
export declare enum KDSOrderStatus {
    New = "New",
    Ready = "Ready",
    Cancelled = "Cancelled",
    Void = "Void"
}
