export declare enum PurchaseDocumentTypeCode {
    Quote = 1,
    Order = 2,
    Invoice = 3,
    CreditMemo = 4,
    ReturnOrder = 5,
    Receipt = 6,
    Shipment = 7,
    Payment = 8,
    Refund = 9,
    CreditApplied = 10
}
export declare enum PurchaseDocumentType {
    Quote = "Quote",
    Order = "Order",
    Invoice = "Invoice",
    CreditMemo = "Credit Memo",
    ReturnOrder = "Return Order",
    Receipt = "Receipt",
    Shipment = "Shipment",
    Payment = "Payment",
    Refund = "Refund",
    CreditApplied = "Credit Applied"
}
export declare enum PurchaseDocumentStatusCode {
    Draft = 1,
    Open = 2,
    Issued = 3,
    PartiallyInvoiced = 4,
    Invoiced = 5,
    PartiallyReceived = 7,
    Received = 8,
    Closed = 9,
    Canceled = 10,
    NotReceived = 11,
    NotInvoiced = 12,
    NotShipped = 13,
    PartiallyShipped = 14,
    Shipped = 15,
    NotCreditMemo = 16,
    PartiallyCreditMemo = 17,
    CreditMemo = 18,
    PendingApproval = 19,
    Rejected = 20,
    Approved = 21
}
export declare enum PurchaseDocumentStatus {
    Draft = "Draft",
    Open = "Open",
    Issued = "Issued",
    PartiallyInvoiced = "Partially Invoiced",
    Invoiced = "Invoiced",
    PartiallyReceived = "Partially Received",
    Received = "Received",
    Closed = "Closed",
    Canceled = "Canceled",
    NotReceived = "Not Received",
    NotInvoiced = "Not Invoiced",
    NotShipped = "Not Shipped",
    PartiallyShipped = "Partially Shipped",
    Shipped = "Shipped",
    NotCreditMemo = "Not Credit Memo",
    PartiallyCreditMemo = "Partially Credit Memo",
    CreditMemo = "Credit Memo",
    PendingApproval = "Pending Approval",
    Rejected = "Rejected",
    Approved = "Approved"
}
export declare enum PaymentStatus {
    Open = "Open",
    PartiallyPaid = "Partially Paid",
    Paid = "Paid"
}
export declare enum PaymentStatusCode {
    Open = 1,
    PartiallyPaid = 2,
    Paid = 3
}
export declare enum RefundStatus {
    Open = "Open",
    PartiallyRefund = "Partially Refund",
    Refunded = "Refunded"
}
export declare enum RefundStatusCode {
    Open = 1,
    PartiallyRefund = 2,
    Refunded = 3
}
