export declare enum BillingCycleCode {
    Recurring = 1,
    Onetime = 2
}
export declare enum BillingCycle {
    Recurring = "Recurring",
    Onetime = "Onetime"
}
export declare enum BillingIntervalCode {
    Daily = "DAILY",
    Weekly = "WEEKLY",
    Monthly = "MONTHLY",
    Yearly = "YEARLY"
}
export declare enum BillingInterval {
    Daily = "Daily",
    Weekly = "Weekly",
    Monthly = "Monthly",
    Yearly = "Yearly"
}
export declare enum SubscriptionPricingSchemeCode {
    Unit = 1,
    Volume = 2,
    Tier = 3,
    Packing = 4
}
export declare enum SubscriptionPricingScheme {
    Unit = "Unit",
    Volume = "Volume",
    Tier = "Tier",
    Packing = "Packing"
}
export declare enum SubscriptionPricingPlanStatusCode {
    ComingSoon = 1,
    Live = 2,
    Suspended = 3
}
export declare enum SubscriptionPricingPlanStatus {
    ComingSoon = "Coming Soon",
    Live = "Live",
    Suspended = "Suspended"
}
export declare enum SubscriptionProductStatusCode {
    ComingSoon = 1,
    Live = 2,
    Suspended = 3,
    Maintenance = 4
}
export declare enum SubscriptionProductStatus {
    ComingSoon = "Coming Soon",
    Live = "Live",
    Suspended = "Suspended",
    Maintenance = "Maintenance"
}
export declare enum SubscriptionStatusCode {
    Draft = 0,
    Trial = 1,
    TrialExpired = 2,
    Active = 3,
    Unpaid = 4,
    NonRenewing = 5,
    ScheduledCancel = 6,
    Cancelled = 7,
    Expired = 8,
    Suspended = 9
}
export declare enum SubscriptionStatus {
    Draft = "Draft",
    Trial = "Trial",
    TrialExpired = "Trial Expired",
    Active = "Active",
    Unpaid = "Unpaid",
    NonRenewing = "NonRenewing",
    ScheduledCancel = "Scheduled Cancel",
    Cancelled = "Cancelled",
    Expired = "Expired",
    Suspended = "Suspended"
}
export declare enum SubscriptionLineStatusCode {
    Pending = 1,
    Active = 2
}
export declare enum SubscriptionLineStatus {
    Pending = "Pending",
    Active = "Active"
}
export declare enum SubscriptionEventTypeCode {
    Created = 1,
    TrialExpired = 2,
    Active = 3,
    Ahead = 4,
    Renewed = 5,
    BillingDateChanged = 6,
    Upgraded = 7,
    Downgraded = 8,
    Unpaid = 9,
    Cancelled = 10,
    Reactivated = 11,
    CancellationScheduled = 12,
    Expiring = 13,
    Deleted = 14,
    InvoiceCreated = 15,
    CashReceiptReceived = 16,
    CashReceiptRefunded = 17,
    CashReceiptDeclined = 18
}
export declare enum SubscriptionEventType {
    Created = "Created",
    TrialExpired = "Trial Expired",
    Active = "Active",
    Ahead = "Ahead",
    Renewed = "Renewed",
    BillingDateChanged = "Billing Date Changed",
    Upgraded = "Upgraded",
    Downgraded = "Downgraded",
    Unpaid = "Unpaid",
    Cancelled = "Cancelled",
    Reactivated = "Reactivated",
    CancellationScheduled = "Cancellation Scheduled",
    Expiring = "Expiring",
    Deleted = "Deleted",
    InvoiceCreated = "Invoice Created",
    CashReceiptReceived = "Cash Receipt Received",
    CashReceiptRefunded = "Cash Receipt Refunded",
    CashReceiptDeclined = "Cash Receipt Declined"
}
export declare enum SubscriptionEventSourceCode {
    User = 1,
    System = 2
}
export declare enum SubscriptionEventSource {
    User = "User",
    System = "System"
}
