"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SubscriptionEventSource = exports.SubscriptionEventSourceCode = exports.SubscriptionEventType = exports.SubscriptionEventTypeCode = exports.SubscriptionLineStatus = exports.SubscriptionLineStatusCode = exports.SubscriptionStatus = exports.SubscriptionStatusCode = exports.SubscriptionProductStatus = exports.SubscriptionProductStatusCode = exports.SubscriptionPricingPlanStatus = exports.SubscriptionPricingPlanStatusCode = exports.SubscriptionPricingScheme = exports.SubscriptionPricingSchemeCode = exports.BillingInterval = exports.BillingIntervalCode = exports.BillingCycle = exports.BillingCycleCode = void 0;
var BillingCycleCode;
(function (BillingCycleCode) {
    BillingCycleCode[BillingCycleCode["Recurring"] = 1] = "Recurring";
    BillingCycleCode[BillingCycleCode["Onetime"] = 2] = "Onetime";
})(BillingCycleCode || (exports.BillingCycleCode = BillingCycleCode = {}));
var BillingCycle;
(function (BillingCycle) {
    BillingCycle["Recurring"] = "Recurring";
    BillingCycle["Onetime"] = "Onetime";
})(BillingCycle || (exports.BillingCycle = BillingCycle = {}));
var BillingIntervalCode;
(function (BillingIntervalCode) {
    BillingIntervalCode["Daily"] = "DAILY";
    BillingIntervalCode["Weekly"] = "WEEKLY";
    BillingIntervalCode["Monthly"] = "MONTHLY";
    BillingIntervalCode["Yearly"] = "YEARLY";
})(BillingIntervalCode || (exports.BillingIntervalCode = BillingIntervalCode = {}));
var BillingInterval;
(function (BillingInterval) {
    BillingInterval["Daily"] = "Daily";
    BillingInterval["Weekly"] = "Weekly";
    BillingInterval["Monthly"] = "Monthly";
    BillingInterval["Yearly"] = "Yearly";
})(BillingInterval || (exports.BillingInterval = BillingInterval = {}));
var SubscriptionPricingSchemeCode;
(function (SubscriptionPricingSchemeCode) {
    SubscriptionPricingSchemeCode[SubscriptionPricingSchemeCode["Unit"] = 1] = "Unit";
    SubscriptionPricingSchemeCode[SubscriptionPricingSchemeCode["Volume"] = 2] = "Volume";
    SubscriptionPricingSchemeCode[SubscriptionPricingSchemeCode["Tier"] = 3] = "Tier";
    SubscriptionPricingSchemeCode[SubscriptionPricingSchemeCode["Packing"] = 4] = "Packing";
})(SubscriptionPricingSchemeCode || (exports.SubscriptionPricingSchemeCode = SubscriptionPricingSchemeCode = {}));
var SubscriptionPricingScheme;
(function (SubscriptionPricingScheme) {
    SubscriptionPricingScheme["Unit"] = "Unit";
    SubscriptionPricingScheme["Volume"] = "Volume";
    SubscriptionPricingScheme["Tier"] = "Tier";
    SubscriptionPricingScheme["Packing"] = "Packing";
})(SubscriptionPricingScheme || (exports.SubscriptionPricingScheme = SubscriptionPricingScheme = {}));
var SubscriptionPricingPlanStatusCode;
(function (SubscriptionPricingPlanStatusCode) {
    SubscriptionPricingPlanStatusCode[SubscriptionPricingPlanStatusCode["ComingSoon"] = 1] = "ComingSoon";
    SubscriptionPricingPlanStatusCode[SubscriptionPricingPlanStatusCode["Live"] = 2] = "Live";
    SubscriptionPricingPlanStatusCode[SubscriptionPricingPlanStatusCode["Suspended"] = 3] = "Suspended";
})(SubscriptionPricingPlanStatusCode || (exports.SubscriptionPricingPlanStatusCode = SubscriptionPricingPlanStatusCode = {}));
var SubscriptionPricingPlanStatus;
(function (SubscriptionPricingPlanStatus) {
    SubscriptionPricingPlanStatus["ComingSoon"] = "Coming Soon";
    SubscriptionPricingPlanStatus["Live"] = "Live";
    SubscriptionPricingPlanStatus["Suspended"] = "Suspended";
})(SubscriptionPricingPlanStatus || (exports.SubscriptionPricingPlanStatus = SubscriptionPricingPlanStatus = {}));
var SubscriptionProductStatusCode;
(function (SubscriptionProductStatusCode) {
    SubscriptionProductStatusCode[SubscriptionProductStatusCode["ComingSoon"] = 1] = "ComingSoon";
    SubscriptionProductStatusCode[SubscriptionProductStatusCode["Live"] = 2] = "Live";
    SubscriptionProductStatusCode[SubscriptionProductStatusCode["Suspended"] = 3] = "Suspended";
    SubscriptionProductStatusCode[SubscriptionProductStatusCode["Maintenance"] = 4] = "Maintenance";
})(SubscriptionProductStatusCode || (exports.SubscriptionProductStatusCode = SubscriptionProductStatusCode = {}));
var SubscriptionProductStatus;
(function (SubscriptionProductStatus) {
    SubscriptionProductStatus["ComingSoon"] = "Coming Soon";
    SubscriptionProductStatus["Live"] = "Live";
    SubscriptionProductStatus["Suspended"] = "Suspended";
    SubscriptionProductStatus["Maintenance"] = "Maintenance";
})(SubscriptionProductStatus || (exports.SubscriptionProductStatus = SubscriptionProductStatus = {}));
var SubscriptionStatusCode;
(function (SubscriptionStatusCode) {
    SubscriptionStatusCode[SubscriptionStatusCode["Draft"] = 0] = "Draft";
    SubscriptionStatusCode[SubscriptionStatusCode["Trial"] = 1] = "Trial";
    SubscriptionStatusCode[SubscriptionStatusCode["TrialExpired"] = 2] = "TrialExpired";
    SubscriptionStatusCode[SubscriptionStatusCode["Active"] = 3] = "Active";
    SubscriptionStatusCode[SubscriptionStatusCode["Unpaid"] = 4] = "Unpaid";
    SubscriptionStatusCode[SubscriptionStatusCode["NonRenewing"] = 5] = "NonRenewing";
    SubscriptionStatusCode[SubscriptionStatusCode["ScheduledCancel"] = 6] = "ScheduledCancel";
    SubscriptionStatusCode[SubscriptionStatusCode["Cancelled"] = 7] = "Cancelled";
    SubscriptionStatusCode[SubscriptionStatusCode["Expired"] = 8] = "Expired";
    SubscriptionStatusCode[SubscriptionStatusCode["Suspended"] = 9] = "Suspended";
})(SubscriptionStatusCode || (exports.SubscriptionStatusCode = SubscriptionStatusCode = {}));
var SubscriptionStatus;
(function (SubscriptionStatus) {
    SubscriptionStatus["Draft"] = "Draft";
    SubscriptionStatus["Trial"] = "Trial";
    SubscriptionStatus["TrialExpired"] = "Trial Expired";
    SubscriptionStatus["Active"] = "Active";
    SubscriptionStatus["Unpaid"] = "Unpaid";
    SubscriptionStatus["NonRenewing"] = "NonRenewing";
    SubscriptionStatus["ScheduledCancel"] = "Scheduled Cancel";
    SubscriptionStatus["Cancelled"] = "Cancelled";
    SubscriptionStatus["Expired"] = "Expired";
    SubscriptionStatus["Suspended"] = "Suspended";
})(SubscriptionStatus || (exports.SubscriptionStatus = SubscriptionStatus = {}));
var SubscriptionLineStatusCode;
(function (SubscriptionLineStatusCode) {
    SubscriptionLineStatusCode[SubscriptionLineStatusCode["Pending"] = 1] = "Pending";
    SubscriptionLineStatusCode[SubscriptionLineStatusCode["Active"] = 2] = "Active";
})(SubscriptionLineStatusCode || (exports.SubscriptionLineStatusCode = SubscriptionLineStatusCode = {}));
var SubscriptionLineStatus;
(function (SubscriptionLineStatus) {
    SubscriptionLineStatus["Pending"] = "Pending";
    SubscriptionLineStatus["Active"] = "Active";
})(SubscriptionLineStatus || (exports.SubscriptionLineStatus = SubscriptionLineStatus = {}));
var SubscriptionEventTypeCode;
(function (SubscriptionEventTypeCode) {
    SubscriptionEventTypeCode[SubscriptionEventTypeCode["Created"] = 1] = "Created";
    SubscriptionEventTypeCode[SubscriptionEventTypeCode["TrialExpired"] = 2] = "TrialExpired";
    SubscriptionEventTypeCode[SubscriptionEventTypeCode["Active"] = 3] = "Active";
    SubscriptionEventTypeCode[SubscriptionEventTypeCode["Ahead"] = 4] = "Ahead";
    SubscriptionEventTypeCode[SubscriptionEventTypeCode["Renewed"] = 5] = "Renewed";
    SubscriptionEventTypeCode[SubscriptionEventTypeCode["BillingDateChanged"] = 6] = "BillingDateChanged";
    SubscriptionEventTypeCode[SubscriptionEventTypeCode["Upgraded"] = 7] = "Upgraded";
    SubscriptionEventTypeCode[SubscriptionEventTypeCode["Downgraded"] = 8] = "Downgraded";
    SubscriptionEventTypeCode[SubscriptionEventTypeCode["Unpaid"] = 9] = "Unpaid";
    SubscriptionEventTypeCode[SubscriptionEventTypeCode["Cancelled"] = 10] = "Cancelled";
    SubscriptionEventTypeCode[SubscriptionEventTypeCode["Reactivated"] = 11] = "Reactivated";
    SubscriptionEventTypeCode[SubscriptionEventTypeCode["CancellationScheduled"] = 12] = "CancellationScheduled";
    SubscriptionEventTypeCode[SubscriptionEventTypeCode["Expiring"] = 13] = "Expiring";
    SubscriptionEventTypeCode[SubscriptionEventTypeCode["Deleted"] = 14] = "Deleted";
    SubscriptionEventTypeCode[SubscriptionEventTypeCode["InvoiceCreated"] = 15] = "InvoiceCreated";
    SubscriptionEventTypeCode[SubscriptionEventTypeCode["CashReceiptReceived"] = 16] = "CashReceiptReceived";
    SubscriptionEventTypeCode[SubscriptionEventTypeCode["CashReceiptRefunded"] = 17] = "CashReceiptRefunded";
    SubscriptionEventTypeCode[SubscriptionEventTypeCode["CashReceiptDeclined"] = 18] = "CashReceiptDeclined";
})(SubscriptionEventTypeCode || (exports.SubscriptionEventTypeCode = SubscriptionEventTypeCode = {}));
var SubscriptionEventType;
(function (SubscriptionEventType) {
    SubscriptionEventType["Created"] = "Created";
    SubscriptionEventType["TrialExpired"] = "Trial Expired";
    SubscriptionEventType["Active"] = "Active";
    SubscriptionEventType["Ahead"] = "Ahead";
    SubscriptionEventType["Renewed"] = "Renewed";
    SubscriptionEventType["BillingDateChanged"] = "Billing Date Changed";
    SubscriptionEventType["Upgraded"] = "Upgraded";
    SubscriptionEventType["Downgraded"] = "Downgraded";
    SubscriptionEventType["Unpaid"] = "Unpaid";
    SubscriptionEventType["Cancelled"] = "Cancelled";
    SubscriptionEventType["Reactivated"] = "Reactivated";
    SubscriptionEventType["CancellationScheduled"] = "Cancellation Scheduled";
    SubscriptionEventType["Expiring"] = "Expiring";
    SubscriptionEventType["Deleted"] = "Deleted";
    SubscriptionEventType["InvoiceCreated"] = "Invoice Created";
    SubscriptionEventType["CashReceiptReceived"] = "Cash Receipt Received";
    SubscriptionEventType["CashReceiptRefunded"] = "Cash Receipt Refunded";
    SubscriptionEventType["CashReceiptDeclined"] = "Cash Receipt Declined";
})(SubscriptionEventType || (exports.SubscriptionEventType = SubscriptionEventType = {}));
var SubscriptionEventSourceCode;
(function (SubscriptionEventSourceCode) {
    SubscriptionEventSourceCode[SubscriptionEventSourceCode["User"] = 1] = "User";
    SubscriptionEventSourceCode[SubscriptionEventSourceCode["System"] = 2] = "System";
})(SubscriptionEventSourceCode || (exports.SubscriptionEventSourceCode = SubscriptionEventSourceCode = {}));
var SubscriptionEventSource;
(function (SubscriptionEventSource) {
    SubscriptionEventSource["User"] = "User";
    SubscriptionEventSource["System"] = "System";
})(SubscriptionEventSource || (exports.SubscriptionEventSource = SubscriptionEventSource = {}));
//# sourceMappingURL=subscription.enum.js.map