import { ObjectId } from 'mongodb';
import { IPageFieldResult } from './page.field.interface';
import { Projection, Sort } from '../../enum';
export interface IPageFieldUserResult extends IPageFieldResult {
    user_id?: ObjectId;
}
export interface IPageFieldUserFilter extends IPageFieldUserResult {
}
export interface IPageFieldUserSpec<T> extends Partial<Record<keyof IPageFieldUserResult, T>> {
}
export interface IPageFieldUserFilter extends IPageFieldResult {
}
export interface IPageFieldUserProjection extends IPageFieldUserSpec<Projection> {
}
export interface IPageFieldUserSort extends IPageFieldUserSpec<Sort> {
}
