import { Db } from 'mongodb';
import Model from '../base.model';
import { IApprovalSetupDocument, IApprovalSetupResult, IApprovalSetupFilter, IApprovalSetupProjection, IApprovalSetupSort, IApprovalSetupUpdateDocument, IApprovalSetupInfo } from '../../interfaces';
export default class ApprovalSetup extends Model<IApprovalSetupDocument, IApprovalSetupUpdateDocument, IApprovalSetupFilter, IApprovalSetupProjection, IApprovalSetupResult, IApprovalSetupSort> {
    constructor(db: Db);
    make(info: IApprovalSetupInfo): IApprovalSetupDocument;
}
