import { Db } from 'mongodb';
import Model from '../base.model';
import { ICountryDocument, ICountryUpdateDocument, ICountryFilter, ICountryProjection, ICountryResult, ICountrySort, ICountryInfo } from '../../interfaces';
export default class Country extends Model<ICountryDocument, ICountryUpdateDocument, ICountryFilter, ICountryProjection, ICountryResult, ICountrySort, any, any> {
    constructor(db: Db);
    make(info: ICountryInfo): ICountryDocument;
}
