import { Db } from 'mongodb';
import Model from '../base.model';
import { ICurrencyExchangeRateDocument, ICurrencyRateExchangeUpdateDocument, ICurrencyExchangeRateFilter, ICurrencyExchangeRateProjection, ICurrencyExchangeRateResult, ICurrencyExchangeRateSort, ICurrencyExchangeRateInfo } from '../../interfaces';
export default class CurrencyExchangeRate extends Model<ICurrencyExchangeRateDocument, ICurrencyRateExchangeUpdateDocument, ICurrencyExchangeRateFilter, ICurrencyExchangeRateProjection, ICurrencyExchangeRateResult, ICurrencyExchangeRateSort, any, any> {
    constructor(db: Db);
    make(info: ICurrencyExchangeRateInfo): ICurrencyExchangeRateDocument;
}
