import { Db } from 'mongodb';
import Model from '../base.model';
import { ITaxDocument, ITaxUpdateDocument, ITaxFilter, ITaxProjection, ITaxResult, ITaxSort, ITaxInfo } from '../../interfaces';
export default class Tax extends Model<ITaxDocument, ITaxUpdateDocument, ITaxFilter, ITaxProjection, ITaxResult, ITaxSort> {
    constructor(db: Db);
    make(info: ITaxInfo): ITaxDocument;
}
