import { Db } from 'mongodb';
import Model from '../base.model';
import { IVATEntryDocument, IVATEntryUpdateDocument, IVATEntryFilter, IVATEntryProjection, IVATEntryResult, IVATEntrySort, IVATEntryInfo } from '../../interfaces';
export default class VatEntry extends Model<IVATEntryDocument, IVATEntryUpdateDocument, IVATEntryFilter, IVATEntryProjection, IVATEntryResult, IVATEntrySort> {
    constructor(db: Db);
    make(info: IVATEntryInfo): IVATEntryDocument;
}
