import { Db } from 'mongodb';
import { IInventoryAdjustmentLineDocument, IInventoryAdjustmentLineFilter, IInventoryAdjustmentLineInfo, IInventoryAdjustmentLineProjection, IInventoryAdjustmentLineResult, IInventoryAdjustmentLineSort, IInventoryAdjustmentLineUpdateDocument } from '../../interfaces/inventory';
import Model from '../base.model';
export default class InventoryAdjustmentLine extends Model<IInventoryAdjustmentLineDocument, IInventoryAdjustmentLineUpdateDocument, IInventoryAdjustmentLineFilter, IInventoryAdjustmentLineProjection, IInventoryAdjustmentLineResult, IInventoryAdjustmentLineSort> {
    constructor(db: Db);
    make(info: IInventoryAdjustmentLineInfo): IInventoryAdjustmentLineDocument;
}
