import { Db } from 'mongodb';
import Model from '../base.model';
import { IItemCategoryDocument, IItemCategoryUpdateDocument, IItemCategoryFilter, IItemCategorySort, IItemCategoryResult, IItemCategoryProjection, IItemCategoryInfo } from '../../interfaces';
export default class ItemCategory extends Model<IItemCategoryDocument, IItemCategoryUpdateDocument, IItemCategoryFilter, IItemCategoryProjection, IItemCategoryResult, IItemCategorySort> {
    constructor(db: Db);
    make(info: IItemCategoryInfo): IItemCategoryDocument;
}
