"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const enum_1 = require("../../enum");
const base_model_1 = __importDefault(require("../base.model"));
class ItemCategory extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.ItemCategory);
    }
    make(info) {
        return {
            name: info.name,
            description: info.description || null,
            media_id: info.media_id || null,
            has_transaction: false,
            is_active: true,
            created_at: new Date(),
            created_by: info.created_by,
            updated_at: null,
            updated_by: null,
        };
    }
}
exports.default = ItemCategory;
//# sourceMappingURL=item.category.model.js.map