import { Db } from 'mongodb';
import Model from '../base.model';
import { IItemDocument, IItemUpdateDocument, IItemFilter, IItemProjection, IItemResult, IItemSort, IItemInfo } from '../../interfaces';
export default class Item extends Model<IItemDocument, IItemUpdateDocument, IItemFilter, IItemProjection, IItemResult, IItemSort> {
    constructor(db: Db);
    make(info: IItemInfo): IItemDocument;
}
