import { Db } from 'mongodb';
import Model from '../base.model';
import { IItemModifierDocument, IItemModifierUpdateDocument, IItemModifierFilter, IItemModifierProjection, IItemModifierResult, IItemModifierSort, IItemModifierInfo } from '../../interfaces';
export default class ItemModifier extends Model<IItemModifierDocument, IItemModifierUpdateDocument, IItemModifierFilter, IItemModifierProjection, IItemModifierResult, IItemModifierSort> {
    constructor(db: Db);
    make(info: IItemModifierInfo): IItemModifierDocument;
}
