"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const enum_1 = require("../../enum");
const base_model_1 = __importDefault(require("../base.model"));
class ItemModifier extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.ItemModifier);
    }
    make(info) {
        return {
            source_app_id: info.source_app_id,
            branches: info.branches,
            name: info.name,
            selling_price: info.selling_price,
            is_active: true,
            created_at: new Date(),
            created_by: info.created_by,
            updated_at: null,
            updated_by: null,
        };
    }
}
exports.default = ItemModifier;
//# sourceMappingURL=item.modifier.model.js.map