import Model from '../base.model';
import { IItemValueEntryDocument, IItemValueEntryUpdateDocument, IItemValueEntryFilter, IItemValueEntryResult, IItemValueEntryInfo, IItemValueEntryProjection, IItemValueEntrySort } from '../../interfaces';
import { Db } from 'mongodb';
export default class ItemValueEntry extends Model<IItemValueEntryDocument, IItemValueEntryUpdateDocument, IItemValueEntryFilter, IItemValueEntryProjection, IItemValueEntryResult, IItemValueEntrySort> {
    constructor(db: Db);
    make(info: IItemValueEntryInfo): IItemValueEntryDocument;
}
