import { Db } from 'mongodb';
import Model from '../base.model';
import { IItemVariantDocument, IItemVariantUpdateDocument, IItemVariantFilter, IItemVariantProjection, IItemVariantResult, IItemVariantSort, IItemVariantInfo, IItemVariantWitVariantsResult } from '../../interfaces';
export default class ItemVariant extends Model<IItemVariantDocument, IItemVariantUpdateDocument, IItemVariantFilter, IItemVariantProjection, IItemVariantResult, IItemVariantSort, any, any, IItemVariantWitVariantsResult> {
    constructor(db: Db);
    make(info: IItemVariantInfo): IItemVariantDocument;
}
