import { Db } from 'mongodb';
import Model from '../base.model';
import { IUOMDocument, IUOMUpdateDocument, IUOMFilter, IUOMProjection, IUOMResult, IUOMSort, IUOMInfo } from '../../interfaces/inventory';
export default class UOM extends Model<IUOMDocument, IUOMUpdateDocument, IUOMFilter, IUOMProjection, IUOMResult, IUOMSort> {
    constructor(db: Db);
    make(info: IUOMInfo): IUOMDocument;
}
