import { Db } from 'mongodb';
import Model from '../base.model';
import { IWarehouseDocument, IWarehouseUpdateDocument, IWarehouseFilter, IWarehouseProjection, IWarehouseResult, IWarehouseSort, IWarehouseInfo } from '../../interfaces';
export default class Warehouse extends Model<IWarehouseDocument, IWarehouseUpdateDocument, IWarehouseFilter, IWarehouseProjection, IWarehouseResult, IWarehouseSort> {
    constructor(db: Db);
    make(info: IWarehouseInfo): IWarehouseDocument;
}
