import { Db } from 'mongodb';
import Model from '../base.model';
import { ILoyaltyPromotionItemDocument, ILoyaltyPromotionItemResult, ILoyaltyPromotionItemFilter, ILoyaltyPromotionItemProjection, ILoyaltyPromotionItemSort, ILoyaltyPromotionItemUpdateDocument, ILoyaltyPromotionItemInfo } from '../../interfaces';
export default class LoyaltyPromotionItem extends Model<ILoyaltyPromotionItemDocument, ILoyaltyPromotionItemUpdateDocument, ILoyaltyPromotionItemFilter, ILoyaltyPromotionItemProjection, ILoyaltyPromotionItemResult, ILoyaltyPromotionItemSort> {
    constructor(db: Db);
    make(info: ILoyaltyPromotionItemInfo): ILoyaltyPromotionItemDocument;
}
