import { Db } from 'mongodb';
import Model from '../base.model';
import { ILoyaltyTierDocument, ILoyaltyTierResult, ILoyaltyTierFilter, ILoyaltyTierProjection, ILoyaltyTierSort, ILoyaltyTierUpdateDocument, ILoyaltyTierInfo } from '../../interfaces';
export default class LoyaltyTier extends Model<ILoyaltyTierDocument, ILoyaltyTierUpdateDocument, ILoyaltyTierFilter, ILoyaltyTierProjection, ILoyaltyTierResult, ILoyaltyTierSort> {
    constructor(db: Db);
    make(info: ILoyaltyTierInfo): ILoyaltyTierDocument;
}
