import { Db } from 'mongodb';
import { NotificationType, NotificationTypeCode } from '../../enum';
import Model from '../base.model';
import { INotificationMessageDocument, INotificationMessageUpdateDocument, INotificationMessageFilter, INotificationMessageProjection, INotificationMessageResult, INotificationMessageSort, INotificationMessageInfo } from '../../interfaces';
export default class NotificationMessage extends Model<INotificationMessageDocument, INotificationMessageUpdateDocument, INotificationMessageFilter, INotificationMessageProjection, INotificationMessageResult, INotificationMessageSort> {
    constructor(db: Db);
    make(info: INotificationMessageInfo): INotificationMessageDocument;
    type(code: NotificationTypeCode): NotificationType;
}
