import { Db } from 'mongodb';
import { TaskQueueStatus, TaskQueueStatusCode } from '../../enum';
import Model from '../base.model';
import { INotificationQueueDocument, INotificationQueueUpdateDocument, INotificationQueueFilter, INotificationQueueProjection, INotificationQueueResult, INotificationQueueSort, INotificationQueueInfo } from '../../interfaces';
export default class NotificationQueue extends Model<INotificationQueueDocument, INotificationQueueUpdateDocument, INotificationQueueFilter, INotificationQueueProjection, INotificationQueueResult, INotificationQueueSort> {
    constructor(db: Db);
    make(info: INotificationQueueInfo): INotificationQueueDocument;
    status(code: TaskQueueStatusCode): TaskQueueStatus;
}
