import { Db } from 'mongodb';
import { Status, StatusCode } from '../../enum';
import Model from '../base.model';
import { ISubscriberNotificationDocument, ISubscriberNotificationUpdateDocument, ISubscriberNotificationFilter, ISubscriberNotificationProjection, ISubscriberNotificationResult, ISubscriberNotificationSort, ISubscriberNotificationInfo } from '../../interfaces';
export default class SubscriberNotification extends Model<ISubscriberNotificationDocument, ISubscriberNotificationUpdateDocument, ISubscriberNotificationFilter, ISubscriberNotificationProjection, ISubscriberNotificationResult, ISubscriberNotificationSort> {
    constructor(db: Db);
    make(info: ISubscriberNotificationInfo): ISubscriberNotificationDocument;
    status(code: StatusCode): Status;
}
