import { Db } from 'mongodb';
import Model from '../base.model';
import { IUserNotificationDocument, IUserNotificationUpdateDocument, IUserNotificationFilter, IUserNotificationProjection, IUserNotificationResult, IUserNotificationSort, IUserNotificationInfo } from '../../interfaces';
export default class UserNotification extends Model<IUserNotificationDocument, IUserNotificationUpdateDocument, IUserNotificationFilter, IUserNotificationProjection, IUserNotificationResult, IUserNotificationSort> {
    constructor(db: Db);
    make(info: IUserNotificationInfo): IUserNotificationDocument;
}
