import { Db } from 'mongodb';
import Model from '../base.model';
import { IAppDeviceDocument, IAppDeviceUpdateDocument, IAppDeviceFilter, IAppDeviceProjection, IAppDeviceResult, IAppDeviceSort, IAppDeviceInfo } from '../../interfaces';
export default class AppDevice extends Model<IAppDeviceDocument, IAppDeviceUpdateDocument, IAppDeviceFilter, IAppDeviceProjection, IAppDeviceResult, IAppDeviceSort> {
    constructor(db: Db);
    make(info: IAppDeviceInfo): IAppDeviceDocument;
}
