import { Db } from 'mongodb';
import { POSShiftStatus, POSShiftStatusCode } from '../../enum';
import { IPOSShiftDocument, IPOSShiftFilter, IPOSShiftInfo, IPOSShiftProjection, IPOSShiftResult, IPOSShiftSort, IPOSShiftUpdateDocument } from '../../interfaces';
import Model from '../base.model';
export default class POSShift extends Model<IPOSShiftDocument, IPOSShiftUpdateDocument, IPOSShiftFilter, IPOSShiftProjection, IPOSShiftResult, IPOSShiftSort> {
    constructor(db: Db);
    make(info: IPOSShiftInfo): IPOSShiftDocument;
    status(code: POSShiftStatusCode): POSShiftStatus;
}
