import { Db } from 'mongodb';
import { PaymentMethodType, PaymentMethodTypeCode } from '../../enum';
import Model from '../base.model';
import { IPaymentMethodDocument, IPaymentMethodUpdateDocument, IPaymentMethodFilter, IPaymentMethodProjection, IPaymentMethodResult, IPaymentMethodSort, IPaymentMethodInfo } from '../../interfaces';
export default class PaymentMethod extends Model<IPaymentMethodDocument, IPaymentMethodUpdateDocument, IPaymentMethodFilter, IPaymentMethodProjection, IPaymentMethodResult, IPaymentMethodSort, any, any> {
    constructor(db: Db);
    make(info: IPaymentMethodInfo): IPaymentMethodDocument;
    type(code: PaymentMethodTypeCode): PaymentMethodType;
}
