import { Db } from 'mongodb';
import Model from '../base.model';
import { IPurchaseCreditMemoHeaderDocument, IPurchaseCreditMemoHeaderFilter, IPurchaseCreditMemoHeaderResult, IPurchaseCreditMemoHeaderSort, IPurchaseCreditMemoHeaderUpdateDocument, IPurchaseCreditMemoHeaderProjection, IPurchaseCreditMemoHeaderInfo } from '../../interfaces';
import { RefundStatus, RefundStatusCode } from '../../enum';
export default class PurchaseCreditMemoHeader extends Model<IPurchaseCreditMemoHeaderDocument, IPurchaseCreditMemoHeaderUpdateDocument, IPurchaseCreditMemoHeaderFilter, IPurchaseCreditMemoHeaderProjection, IPurchaseCreditMemoHeaderResult, IPurchaseCreditMemoHeaderSort> {
    constructor(db: Db);
    make(info: IPurchaseCreditMemoHeaderInfo): IPurchaseCreditMemoHeaderDocument;
    status(statusCode: RefundStatusCode): RefundStatus;
}
