import { Db } from 'mongodb';
import Model from '../base.model';
import { IPurchaseCreditMemoLineDocument, IPurchaseCreditMemoLineFilter, IPurchaseCreditMemoLineResult, IPurchaseCreditMemoLineSort, IPurchaseCreditMemoLineUpdateDocument, IPurchaseCreditMemoLineProjection, IPurchaseCreditMemoLineInfo } from '../../interfaces';
export default class PurchaseInvoiceLine extends Model<IPurchaseCreditMemoLineDocument, IPurchaseCreditMemoLineUpdateDocument, IPurchaseCreditMemoLineFilter, IPurchaseCreditMemoLineProjection, IPurchaseCreditMemoLineResult, IPurchaseCreditMemoLineSort> {
    constructor(db: Db);
    make(info: IPurchaseCreditMemoLineInfo): IPurchaseCreditMemoLineDocument;
}
