import { Db } from 'mongodb';
import Model from '../base.model';
import { IPurchaseInvoiceHeaderDocument, IPurchaseInvoiceHeaderFilter, IPurchaseInvoiceHeaderResult, IPurchaseInvoiceHeaderSort, IPurchaseInvoiceHeaderUpdateDocument, IPurchaseInvoiceHeaderProjection, IPurchaseInvoiceHeaderInfo } from '../../interfaces';
import { PaymentStatus, PaymentStatusCode } from '../../enum';
export default class PurchaseInvoiceHeader extends Model<IPurchaseInvoiceHeaderDocument, IPurchaseInvoiceHeaderUpdateDocument, IPurchaseInvoiceHeaderFilter, IPurchaseInvoiceHeaderProjection, IPurchaseInvoiceHeaderResult, IPurchaseInvoiceHeaderSort> {
    constructor(db: Db);
    make(info: IPurchaseInvoiceHeaderInfo): IPurchaseInvoiceHeaderDocument;
    status(statusCode: PaymentStatusCode): PaymentStatus;
}
