import { Db } from 'mongodb';
import Model from '../base.model';
import { IPurchaseInvoiceLineDocument, IPurchaseInvoiceLineFilter, IPurchaseInvoiceLineResult, IPurchaseInvoiceLineSort, IPurchaseInvoiceLineUpdateDocument, IPurchaseInvoiceLineProjection, IPurchaseInvoiceLineInfo } from '../../interfaces';
export default class PurchaseInvoiceLine extends Model<IPurchaseInvoiceLineDocument, IPurchaseInvoiceLineUpdateDocument, IPurchaseInvoiceLineFilter, IPurchaseInvoiceLineProjection, IPurchaseInvoiceLineResult, IPurchaseInvoiceLineSort> {
    constructor(db: Db);
    make(info: IPurchaseInvoiceLineInfo): IPurchaseInvoiceLineDocument;
}
