import { Db } from 'mongodb';
import Model from '../base.model';
import { IPurchaseOrderLineDocument, IPurchaseOrderLineFilter, IPurchaseOrderLineResult, IPurchaseOrderLineSort, IPurchaseOrderLineUpdateDocument, IPurchaseOrderLineProjection, IPurchaseOrderLineInfo } from '../../interfaces';
export default class PurchaseOrderLine extends Model<IPurchaseOrderLineDocument, IPurchaseOrderLineUpdateDocument, IPurchaseOrderLineFilter, IPurchaseOrderLineProjection, IPurchaseOrderLineResult, IPurchaseOrderLineSort> {
    constructor(db: Db);
    make(info: IPurchaseOrderLineInfo): IPurchaseOrderLineDocument;
}
