import { Db } from 'mongodb';
import Model from '../base.model';
import { IPurchaseReceiptLineDocument, IPurchaseReceiptLineFilter, IPurchaseReceiptLineResult, IPurchaseReceiptLineSort, IPurchaseReceiptLineUpdateDocument, IPurchaseReceiptLineProjection, IPurchaseReceiptLineInfo } from '../../interfaces';
export default class PurchaseReceiptLine extends Model<IPurchaseReceiptLineDocument, IPurchaseReceiptLineUpdateDocument, IPurchaseReceiptLineFilter, IPurchaseReceiptLineProjection, IPurchaseReceiptLineResult, IPurchaseReceiptLineSort> {
    constructor(db: Db);
    make(info: IPurchaseReceiptLineInfo): IPurchaseReceiptLineDocument;
}
