import { Db } from 'mongodb';
import Model from '../base.model';
import { IVendorLedgerEntryDocument, IVendorLedgerEntryUpdateDocument, IVendorLedgerEntryFilter, IVendorLedgerEntryProjection, IVendorLedgerEntryResult, IVendorLedgerEntrySort, IVendorLedgerEntryInfo } from '../../interfaces';
export default class VendorLedgerEntry extends Model<IVendorLedgerEntryDocument, IVendorLedgerEntryUpdateDocument, IVendorLedgerEntryFilter, IVendorLedgerEntryProjection, IVendorLedgerEntryResult, IVendorLedgerEntrySort> {
    constructor(db: Db);
    make(info: IVendorLedgerEntryInfo): IVendorLedgerEntryDocument;
}
