import { Db } from 'mongodb';
import Model from '../base.model';
import { IVendorDocument, IVendorUpdateDocument, IVendorFilter, IVendorProjection, IVendorResult, IVendorSort, IVendorInfo } from '../../interfaces';
export default class Vendor extends Model<IVendorDocument, IVendorUpdateDocument, IVendorFilter, IVendorProjection, IVendorResult, IVendorSort, any, any> {
    constructor(db: Db);
    make(info: IVendorInfo): IVendorDocument;
    makeUpdate(info: IVendorInfo, document: IVendorResult): IVendorUpdateDocument;
}
