import { Db } from 'mongodb';
import { ISalesChannelDocument, ISalesChannelFilter, ISalesChannelProjection, ISalesChannelResult, ISalesChannelSort, ISalesChannelUpdateDocument } from '../../interfaces';
import Model from '../base.model';
export default class SalesChannel extends Model<ISalesChannelDocument, ISalesChannelUpdateDocument, ISalesChannelFilter, ISalesChannelProjection, ISalesChannelResult, ISalesChannelSort> {
    constructor(db: Db);
}
