import { Db } from 'mongodb';
import { CashReceiptRefundStatus, CashReceiptRefundStatusCode } from '../../enum';
import { ISalesCreditMemoHeaderDocument, ISalesCreditMemoHeaderFilter, ISalesCreditMemoHeaderInfo, ISalesCreditMemoHeaderProjection, ISalesCreditMemoHeaderResult, ISalesCreditMemoHeaderSort, ISalesCreditMemoHeaderUpdateDocument } from '../../interfaces';
import Model from '../base.model';
export default class SalesCreditMemoHeader extends Model<ISalesCreditMemoHeaderDocument, ISalesCreditMemoHeaderUpdateDocument, ISalesCreditMemoHeaderFilter, ISalesCreditMemoHeaderProjection, ISalesCreditMemoHeaderResult, ISalesCreditMemoHeaderSort> {
    constructor(db: Db);
    make(info: ISalesCreditMemoHeaderInfo): ISalesCreditMemoHeaderDocument;
    status(statusCode: CashReceiptRefundStatusCode): CashReceiptRefundStatus;
}
