import { Db } from 'mongodb';
import { ISalesLinePriceDocument, ISalesLinePriceUpdateDocument, ISalesLinePriceFilter, ISalesLinePriceProjection, ISalesLinePriceResult, ISalesLinePriceSort, ISalesLinePriceInfo } from '../../interfaces';
import Model from '../base.model';
export default class SalesLinePrice extends Model<ISalesLinePriceDocument, ISalesLinePriceUpdateDocument, ISalesLinePriceFilter, ISalesLinePriceProjection, ISalesLinePriceResult, ISalesLinePriceSort> {
    constructor(db: Db);
    make(info: ISalesLinePriceInfo): ISalesLinePriceDocument;
}
