import { Db } from 'mongodb';
import { SalesDocumentStatus, SalesDocumentStatusCode } from '../../enum';
import { ISalesOrderHeaderDocument, ISalesOrderHeaderFilter, ISalesOrderHeaderInfo, ISalesOrderHeaderProjection, ISalesOrderHeaderResult, ISalesOrderHeaderSort, ISalesOrderHeaderUpdateDocument } from '../../interfaces';
import Model from '../base.model';
export default class SalesOrderHeader extends Model<ISalesOrderHeaderDocument, ISalesOrderHeaderUpdateDocument, ISalesOrderHeaderFilter, ISalesOrderHeaderProjection, ISalesOrderHeaderResult, ISalesOrderHeaderSort> {
    constructor(db: Db);
    make(info: ISalesOrderHeaderInfo): ISalesOrderHeaderDocument;
    status(statusCode: SalesDocumentStatusCode): SalesDocumentStatus;
}
