import { Db } from 'mongodb';
import { ISalesOrderLineDocument, ISalesOrderLineFilter, ISalesOrderLineInfo, ISalesOrderLineProjection, ISalesOrderLineResult, ISalesOrderLineSort, ISalesOrderLineUpdateDocument } from '../../interfaces';
import Model from '../base.model';
export default class SalesOrderLine extends Model<ISalesOrderLineDocument, ISalesOrderLineUpdateDocument, ISalesOrderLineFilter, ISalesOrderLineProjection, ISalesOrderLineResult, ISalesOrderLineSort> {
    constructor(db: Db);
    make(info: ISalesOrderLineInfo): ISalesOrderLineDocument;
}
