import { Db } from 'mongodb';
import Model from '../base.model';
import { ISalesShipmentHeaderDocument, ISalesShipmentHeaderUpdateDocument, ISalesShipmentHeaderFilter, ISalesShipmentHeaderProjection, ISalesShipmentHeaderResult, ISalesShipmentHeaderSort, ISalesShipmentHeaderInfo } from '../../interfaces';
export default class SalesShipmentHeader extends Model<ISalesShipmentHeaderDocument, ISalesShipmentHeaderUpdateDocument, ISalesShipmentHeaderFilter, ISalesShipmentHeaderProjection, ISalesShipmentHeaderResult, ISalesShipmentHeaderSort> {
    constructor(db: Db);
    make(info: ISalesShipmentHeaderInfo): ISalesShipmentHeaderDocument;
}
