import { Db } from 'mongodb';
import Model from '../base.model';
import { BillingCycle, BillingCycleCode } from '../../enum';
import { ISubscriptionPricingPlanDocument, ISubscriptionPricingPlanResult, ISubscriptionPricingPlanFilter, ISubscriptionPricingPlanProjection, ISubscriptionPricingPlanSort, ISubscriptionPricingPlanUpdateDocument, ISubscriptionPricingPlanInfo } from '../../interfaces';
export default class SubscriptionPricingPlan extends Model<ISubscriptionPricingPlanDocument, ISubscriptionPricingPlanUpdateDocument, ISubscriptionPricingPlanFilter, ISubscriptionPricingPlanProjection, ISubscriptionPricingPlanResult, ISubscriptionPricingPlanSort> {
    constructor(db: Db);
    make(info: ISubscriptionPricingPlanInfo): ISubscriptionPricingPlanDocument;
    billingCycle(code: BillingCycleCode): BillingCycle;
}
