import { Db } from 'mongodb';
import Model from '../base.model';
import { IActivityLogDocument, IActivityLogFilter, IActivityLogProjection, IActivityLogResult, IActivityLogSort, IActivityLogInfo } from '../../interfaces';
export default class ActivityLog extends Model<IActivityLogDocument, any, IActivityLogFilter, IActivityLogProjection, IActivityLogResult, IActivityLogSort, any, any> {
    constructor(db: Db);
    make(info: IActivityLogInfo): IActivityLogDocument;
}
