import { Db } from 'mongodb';
import Model from '../base.model';
import { ICompanyTransactionResult, ICompanyTransactionFilter, ICompanyTransactionProjection, ICompanyTransactionInfo, ICompanyTransactionSort, ICompanyTransactionDocument, ICompanyTransactionUpdateDocument } from '../../interfaces';
export default class CompanyTransaction extends Model<ICompanyTransactionDocument, ICompanyTransactionUpdateDocument, ICompanyTransactionFilter, ICompanyTransactionProjection, ICompanyTransactionResult, ICompanyTransactionSort> {
    constructor(db: Db);
    make(info: ICompanyTransactionInfo): ICompanyTransactionDocument;
}
