import { Db } from 'mongodb';
import Model from '../base.model';
import { PreferenceType, PreferenceTypeCode } from '../../enum';
import { IPreferenceResult, IPreferenceFilter, IPreferenceDocument, IPreferenceUpdateDocument, IPreferenceProjection, IPreferenceSort } from '../../interfaces';
export default class Preference extends Model<IPreferenceDocument, IPreferenceUpdateDocument, IPreferenceFilter, IPreferenceProjection, IPreferenceResult, IPreferenceSort, any, any> {
    constructor(db: Db);
    type(code: PreferenceTypeCode): PreferenceType;
}
