"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const base_model_1 = __importDefault(require("../base.model"));
const enum_1 = require("../../enum");
class ResetPassword extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.ResetPassword);
    }
    make(info) {
        return {
            username: info.username,
            email: info.email,
            company_uuid: info.company_uuid,
            company_id: info.company_id,
            token: info.token,
            invoked: false,
            created_at: new Date(),
            updated_at: null,
        };
    }
}
exports.default = ResetPassword;
//# sourceMappingURL=reset.password.model.js.map