import { Db } from 'mongodb';
import Model from '../base.model';
import { ISettingDocument, ISettingUpdateDocument, ISettingFilter, ISettingProjection, ISettingResult, ISettingSort } from '../../interfaces';
export default class Setting extends Model<ISettingDocument, ISettingUpdateDocument, ISettingFilter, ISettingProjection, ISettingResult, ISettingSort> {
    constructor(db: Db);
}
