import { Db } from 'mongodb';
import Model from '../base.model';
import { IUserRoleResult, IUserRoleFilter, IUserRoleDocument, IUserRoleUpdateDocument, IUserRoleProjection, IUserRoleSort, IUserRoleInfo } from '../../interfaces';
export default class UserRole extends Model<IUserRoleDocument, IUserRoleUpdateDocument, IUserRoleFilter, IUserRoleProjection, IUserRoleResult, IUserRoleSort, any, any> {
    constructor(db: Db);
    make(info: IUserRoleInfo): IUserRoleDocument;
}
