import { Db, MongoClient } from 'mongodb';
import { IPageContext } from '../../interfaces';
import { IListUseCase, IListResponse } from '../../features';
export default class GetUseCase implements IListUseCase {
    private db;
    private model;
    private projection;
    private sortBy;
    private limit;
    private skip;
    constructor(db: Db | MongoClient, model: any, projection: any, sortBy: any, limit: any);
    exec(context: IPageContext): Promise<IListResponse>;
}
