import { Db, MongoClient } from 'mongodb';
import { IUserCached } from '../../interfaces';
import { IGetByDocumentNoUseCase, IGetByDocumentNoResponse } from '../../features';
export default class GetPostedDocumentByDocumentNoUseCase implements IGetByDocumentNoUseCase {
    private db;
    private headerModel;
    private lineModel;
    private filterWithBranch;
    private lineProjection;
    constructor(db: Db | MongoClient, headerModel: any, lineModel: any, filterWithBranch?: boolean, lineProjection?: any);
    exec(documentNo: string, includeLineDocuments: boolean, userInfo: IUserCached): Promise<IGetByDocumentNoResponse>;
}
