import { Db, MongoClient } from 'mongodb';
import { IPageContext } from '../../interfaces';
import { Sort } from '../../enum';
import { IGetUseCase, IGetResponse } from '../../features';
export default class GetSetupUseCase implements IGetUseCase {
    private db;
    private model;
    private sortBy;
    constructor(db: Db | MongoClient, model: any, sortBy?: {
        name: Sort;
    });
    exec(context: IPageContext): Promise<IGetResponse>;
}
