import { Db, MongoClient } from 'mongodb';
import { IPageContext } from '../../interfaces';
import { Sort } from '../../enum';
import { IListSetupUseCase, IListSetupResponse } from '../../features';
export default class ListSetupUseCase implements IListSetupUseCase {
    private db;
    private model;
    private sortBy;
    constructor(db: Db | MongoClient, model: any, sortBy?: {
        created_at: Sort;
    });
    exec(context: IPageContext): Promise<IListSetupResponse>;
}
