import Controller from '../../controllers';
import { IHttpRequest, IControllerResponse } from '../../interfaces';
import { IGetByIdUseCase } from '../../features';
export default class GetByIdController extends Controller {
    private useCase;
    private name;
    constructor(useCase: IGetByIdUseCase, name: string);
    handler(httpRequest: IHttpRequest): Promise<IControllerResponse>;
}
