"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const enum_1 = require("../enum");
class Controller {
    clientError() {
        return enum_1.HttpCode.BadRequest;
    }
    conflict() {
        return enum_1.HttpCode.Conflict;
    }
    created() {
        return enum_1.HttpCode.Created;
    }
    gone() {
        return enum_1.HttpCode.Gone;
    }
    internalError() {
        return enum_1.HttpCode.InternalServerError;
    }
    notFound() {
        return enum_1.HttpCode.NotFound;
    }
    ok() {
        return enum_1.HttpCode.Ok;
    }
    unauthorized() {
        return enum_1.HttpCode.Unauthorized;
    }
}
exports.default = Controller;
//# sourceMappingURL=index.js.map