export declare enum ApproverStatus {
    Available = "Available",
    Busy = "Busy"
}
export declare enum ApproverStatusCode {
    Available = 1,
    Busy = 2
}
export declare enum ApprovalStatusCode {
    PendingApproval = 1,
    Approved = 2,
    Rejected = 3
}
export declare enum ApprovalStatus {
    PendingApproval = "Pending Approval",
    Approved = "Approved",
    Rejected = "Rejected"
}
export declare enum ApprovalSetupType {
    Purchase = "Purchase",
    Sales = "Sales",
    Inventory = "Inventory"
}
export declare enum ApprovalSetupTypeCode {
    Purchase = 1,
    Sales = 2,
    Inventory = 3
}
export declare enum ApprovalDocumentType {
    PurchaseQuote = "Purchase Quote",
    PurchaseOrder = "Purchase Order",
    PurchaseReturnOrder = "Purchase Return Order",
    SalesQuote = "Sales Quote",
    SalesOrder = "Sales Order",
    SalesReturnOrder = "Sales Return Order",
    TransferOrder = "Transfer Order",
    InventoryAdjustment = "Inventory Adjustment"
}
export declare enum ApprovalDocumentTypeCode {
    PurchaseQuote = 1,
    PurchaseOrder = 2,
    PurchaseReturnOrder = 3,
    SalesQuote = 4,
    SalesOrder = 5,
    SalesReturnOrder = 6,
    TransferOrder = 7,
    InventoryAdjustment = 8
}
