"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApprovalDocumentTypeCode = exports.ApprovalDocumentType = exports.ApprovalSetupTypeCode = exports.ApprovalSetupType = exports.ApprovalStatus = exports.ApprovalStatusCode = exports.ApproverStatusCode = exports.ApproverStatus = void 0;
var ApproverStatus;
(function (ApproverStatus) {
    ApproverStatus["Available"] = "Available";
    ApproverStatus["Busy"] = "Busy";
})(ApproverStatus || (exports.ApproverStatus = ApproverStatus = {}));
var ApproverStatusCode;
(function (ApproverStatusCode) {
    ApproverStatusCode[ApproverStatusCode["Available"] = 1] = "Available";
    ApproverStatusCode[ApproverStatusCode["Busy"] = 2] = "Busy";
})(ApproverStatusCode || (exports.ApproverStatusCode = ApproverStatusCode = {}));
var ApprovalStatusCode;
(function (ApprovalStatusCode) {
    ApprovalStatusCode[ApprovalStatusCode["PendingApproval"] = 1] = "PendingApproval";
    ApprovalStatusCode[ApprovalStatusCode["Approved"] = 2] = "Approved";
    ApprovalStatusCode[ApprovalStatusCode["Rejected"] = 3] = "Rejected";
})(ApprovalStatusCode || (exports.ApprovalStatusCode = ApprovalStatusCode = {}));
var ApprovalStatus;
(function (ApprovalStatus) {
    ApprovalStatus["PendingApproval"] = "Pending Approval";
    ApprovalStatus["Approved"] = "Approved";
    ApprovalStatus["Rejected"] = "Rejected";
})(ApprovalStatus || (exports.ApprovalStatus = ApprovalStatus = {}));
var ApprovalSetupType;
(function (ApprovalSetupType) {
    ApprovalSetupType["Purchase"] = "Purchase";
    ApprovalSetupType["Sales"] = "Sales";
    ApprovalSetupType["Inventory"] = "Inventory";
})(ApprovalSetupType || (exports.ApprovalSetupType = ApprovalSetupType = {}));
var ApprovalSetupTypeCode;
(function (ApprovalSetupTypeCode) {
    ApprovalSetupTypeCode[ApprovalSetupTypeCode["Purchase"] = 1] = "Purchase";
    ApprovalSetupTypeCode[ApprovalSetupTypeCode["Sales"] = 2] = "Sales";
    ApprovalSetupTypeCode[ApprovalSetupTypeCode["Inventory"] = 3] = "Inventory";
})(ApprovalSetupTypeCode || (exports.ApprovalSetupTypeCode = ApprovalSetupTypeCode = {}));
var ApprovalDocumentType;
(function (ApprovalDocumentType) {
    ApprovalDocumentType["PurchaseQuote"] = "Purchase Quote";
    ApprovalDocumentType["PurchaseOrder"] = "Purchase Order";
    ApprovalDocumentType["PurchaseReturnOrder"] = "Purchase Return Order";
    ApprovalDocumentType["SalesQuote"] = "Sales Quote";
    ApprovalDocumentType["SalesOrder"] = "Sales Order";
    ApprovalDocumentType["SalesReturnOrder"] = "Sales Return Order";
    ApprovalDocumentType["TransferOrder"] = "Transfer Order";
    ApprovalDocumentType["InventoryAdjustment"] = "Inventory Adjustment";
})(ApprovalDocumentType || (exports.ApprovalDocumentType = ApprovalDocumentType = {}));
var ApprovalDocumentTypeCode;
(function (ApprovalDocumentTypeCode) {
    ApprovalDocumentTypeCode[ApprovalDocumentTypeCode["PurchaseQuote"] = 1] = "PurchaseQuote";
    ApprovalDocumentTypeCode[ApprovalDocumentTypeCode["PurchaseOrder"] = 2] = "PurchaseOrder";
    ApprovalDocumentTypeCode[ApprovalDocumentTypeCode["PurchaseReturnOrder"] = 3] = "PurchaseReturnOrder";
    ApprovalDocumentTypeCode[ApprovalDocumentTypeCode["SalesQuote"] = 4] = "SalesQuote";
    ApprovalDocumentTypeCode[ApprovalDocumentTypeCode["SalesOrder"] = 5] = "SalesOrder";
    ApprovalDocumentTypeCode[ApprovalDocumentTypeCode["SalesReturnOrder"] = 6] = "SalesReturnOrder";
    ApprovalDocumentTypeCode[ApprovalDocumentTypeCode["TransferOrder"] = 7] = "TransferOrder";
    ApprovalDocumentTypeCode[ApprovalDocumentTypeCode["InventoryAdjustment"] = 8] = "InventoryAdjustment";
})(ApprovalDocumentTypeCode || (exports.ApprovalDocumentTypeCode = ApprovalDocumentTypeCode = {}));
//# sourceMappingURL=approval.enum.js.map