"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Collections = void 0;
var Collections;
(function (Collections) {
    Collections["App"] = "app";
    Collections["Branch"] = "branch";
    Collections["BusinessType"] = "business_type";
    Collections["Company"] = "company";
    Collections["CompanyTransaction"] = "company_transaction";
    Collections["Invite"] = "invite";
    Collections["Plan"] = "Plan";
    Collections["PricingPlan"] = "pricing_plan";
    Collections["ResetPassword"] = "reset_password";
    Collections["User"] = "user";
    Collections["Menu"] = "menu";
    Collections["Role"] = "role";
    Collections["UserRole"] = "user_role";
    Collections["PageField"] = "page_field";
    Collections["PageFieldUser"] = "page_field_user";
    Collections["ReportGroup"] = "report_group";
    Collections["Setting"] = "setting";
    Collections["Dashboard"] = "Dashboard";
    Collections["BankAccount"] = "bank_account";
    Collections["Country"] = "country";
    Collections["Currency"] = "currency";
    Collections["CurrencyExchangeRate"] = "exchange_rate";
    Collections["Nationality"] = "nationality";
    Collections["Reason"] = "reason";
    Collections["ConfigDocumentNoSeries"] = "config_document_no_series";
    Collections["DocumentNoSeries"] = "document_no_series";
    Collections["DocumentNoSeriesHistory"] = "document_no_series_history";
    Collections["ApprovalSetup"] = "approval_setup";
    Collections["ApprovalRequest"] = "approval_request";
    Collections["CompositeItem"] = "composite_item";
    Collections["Customer"] = "customer";
    Collections["CustomerGroup"] = "customer_group";
    Collections["Item"] = "item";
    Collections["ItemBrand"] = "item_brand";
    Collections["ItemCategory"] = "item_category";
    Collections["ItemGroup"] = "item_group";
    Collections["ItemClass"] = "item_class";
    Collections["ItemUnitOfMeasure"] = "item_unit_of_measure";
    Collections["ItemVariant"] = "item_variant";
    Collections["ItemWarehouseTracking"] = "item_warehouse_tracking";
    Collections["ItemTracking"] = "item_tracking";
    Collections["ItemGallery"] = "item_gallery";
    Collections["Preference"] = "preference";
    Collections["SalesChannel"] = "sales_channel";
    Collections["SalesLinePrice"] = "sales_line_price";
    Collections["Salesperson"] = "salesperson";
    Collections["ShipmentAgent"] = "shipment_agent";
    Collections["ShipmentMethod"] = "shipment_method";
    Collections["PaymentTerm"] = "payment_term";
    Collections["PaymentMethod"] = "payment_method";
    Collections["UnitOfMeasure"] = "unit_of_measure";
    Collections["Vendor"] = "vendor";
    Collections["Warehouse"] = "warehouse";
    Collections["Tax"] = "tax";
    Collections["InventoryAdjustmentHeader"] = "inventory_adjustment_header";
    Collections["InventoryAdjustmentLine"] = "inventory_adjustment_line";
    Collections["ItemLedgerEntry"] = "item_ledger_entry";
    Collections["ItemValueEntry"] = "item_value_entry";
    Collections["SalesQuoteHeader"] = "sales_quote_header";
    Collections["SalesQuoteLine"] = "sales_quote_line";
    Collections["SalesOrderHeader"] = "sales_order_header";
    Collections["SalesOrderLine"] = "sales_order_line";
    Collections["SalesReceiptHeader"] = "sales_receipt_header";
    Collections["SalesReceiptLine"] = "sales_receipt_line";
    Collections["SalesShipmentHeader"] = "sales_shipment_header";
    Collections["SalesShipmentLine"] = "sales_shipment_line";
    Collections["SalesInvoiceHeader"] = "sales_invoice_header";
    Collections["SalesInvoiceLine"] = "sales_invoice_line";
    Collections["SalesCreditMemoHeader"] = "sales_credit_memo_header";
    Collections["SalesCreditMemoLine"] = "sales_credit_memo_line";
    Collections["SalesPackageHeader"] = "sales_package_header";
    Collections["SalesPackageLine"] = "sales_package_line";
    Collections["SalesItemTrackingTransient"] = "sales_item_tracking_transient";
    Collections["POSShift"] = "pos_shift";
    Collections["PurchaseQuoteHeader"] = "purchase_quote_header";
    Collections["PurchaseQuoteLine"] = "purchase_quote_line";
    Collections["PurchaseOrderHeader"] = "purchase_order_header";
    Collections["PurchaseOrderLine"] = "purchase_order_line";
    Collections["PurchaseInvoiceHeader"] = "purchase_invoice_header";
    Collections["PurchaseInvoiceLine"] = "purchase_invoice_line";
    Collections["PurchaseCreditMemoHeader"] = "purchase_credit_memo_header";
    Collections["PurchaseCreditMemoLine"] = "purchase_credit_memo_line";
    Collections["PurchaseReceiptHeader"] = "purchase_receipt_header";
    Collections["PurchaseReceiptLine"] = "purchase_receipt_line";
    Collections["PurchaseShipmentHeader"] = "purchase_shipment_header";
    Collections["PurchaseShipmentLine"] = "purchase_shipment_line";
    Collections["PurchaseItemTrackingTransient"] = "purchase_item_tracking_transient";
    Collections["TransferOrderHeader"] = "transfer_order_header";
    Collections["TransferOrderLine"] = "transfer_order_line";
    Collections["TransferReceiptHeader"] = "transfer_receipt_header";
    Collections["TransferReceiptLine"] = "transfer_receipt_line";
    Collections["TransferShipmentHeader"] = "transfer_shipment_header";
    Collections["TransferShipmentLine"] = "transfer_shipment_line";
    Collections["InventoryItemTrackingTransient"] = "inventory_item_tracking_transient";
    Collections["VATEntry"] = "vat_entry";
    Collections["VendorLedgerEntry"] = "vendor_ledger_entry";
    Collections["Payment"] = "payment";
    Collections["CustomerLedgerEntry"] = "customer_ledger_entry";
    Collections["CashReceipt"] = "cash_receipt";
    Collections["BankLedgerEntry"] = "bank_ledger_entry";
    Collections["BankReconcile"] = "bank_reconcile";
    Collections["ActivityLog"] = "activity_log";
    Collections["SystemLog"] = "system_log";
    Collections["TaskQueue"] = "task_queue";
    Collections["LoyaltyTier"] = "loyalty_tier";
    Collections["LoyaltyMembership"] = "loyalty_membership";
    Collections["LoyaltyVoucher"] = "loyalty_voucher";
    Collections["LoyaltyPromotion"] = "loyalty_promotion";
    Collections["LoyaltyReward"] = "loyalty_reward";
    Collections["LoyaltyLedgerEntry"] = "loyalty_ledger_entry";
    Collections["LoyaltyPromotionItem"] = "loyalty_promotion_item";
    Collections["LoyaltyInfoTransient"] = "loyalty_info_transient";
    Collections["SubscriptionBillingInterval"] = "subscription_billing_interval";
    Collections["SubscriptionAddon"] = "subscription_addon";
    Collections["SubscriptionPricingPlan"] = "subscription_pricing_plan";
    Collections["SubscriptionProduct"] = "subscription_product";
    Collections["SubscriptionHeader"] = "subscription_header";
    Collections["SubscriptionLine"] = "subscription_line";
    Collections["SubscriptionEvent"] = "subscription_event";
    Collections["NotificationAppConfig"] = "notification_app_config";
    Collections["SubscriberNotification"] = "subscriber_notification";
    Collections["NotificationMessage"] = "notification_message";
    Collections["UserNotification"] = "user_notification";
    Collections["NotificationQueue"] = "notification_queue";
    Collections["InventoryTaskQueue"] = "inventory_task_queue";
    Collections["PurchaseTaskQueue"] = "purchase_task_queue";
    Collections["SalesTaskQueue"] = "sales_task_queue";
    Collections["SubscriptionTaskQueue"] = "subscription_task_queue";
    Collections["LoyaltyTaskQueue"] = "loyalty_task_queue";
    Collections["Media"] = "media";
    Collections["POSUser"] = "pos_user";
    Collections["ItemModifier"] = "item_modifier";
    Collections["AppSetting"] = "device_setting";
    Collections["AppDevice"] = "app_device";
    Collections["Device"] = "device";
    Collections["FloorPlan"] = "floor_plan";
    Collections["Table"] = "table";
    Collections["Reservation"] = "reservation";
})(Collections || (exports.Collections = Collections = {}));
//# sourceMappingURL=collection.enum.js.map