"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TelegramType = exports.TelegramTypeCode = exports.UserStatus = exports.UserStatusCode = exports.CompanyStatusCode = exports.CompanyStatus = exports.ISubscriptionStatusCode = exports.ISubscriptionStatus = exports.IPricingPlanStatusCode = exports.IPricingPlanStatus = exports.AppTypeCode = exports.AppType = exports.AppStatusCode = exports.AppStatus = void 0;
var AppStatus;
(function (AppStatus) {
    AppStatus["ComingSoon"] = "Coming Soon";
    AppStatus["Published"] = "Published";
    AppStatus["Suspended"] = "Suspended";
    AppStatus["Maintenance"] = "Maintenance";
})(AppStatus || (exports.AppStatus = AppStatus = {}));
var AppStatusCode;
(function (AppStatusCode) {
    AppStatusCode[AppStatusCode["ComingSoon"] = 1] = "ComingSoon";
    AppStatusCode[AppStatusCode["Published"] = 2] = "Published";
    AppStatusCode[AppStatusCode["Suspended"] = 3] = "Suspended";
    AppStatusCode[AppStatusCode["Maintenance"] = 4] = "Maintenance";
})(AppStatusCode || (exports.AppStatusCode = AppStatusCode = {}));
var AppType;
(function (AppType) {
    AppType["App"] = "App";
    AppType["Extension"] = "Extension";
})(AppType || (exports.AppType = AppType = {}));
var AppTypeCode;
(function (AppTypeCode) {
    AppTypeCode[AppTypeCode["App"] = 1] = "App";
    AppTypeCode[AppTypeCode["Extension"] = 2] = "Extension";
})(AppTypeCode || (exports.AppTypeCode = AppTypeCode = {}));
var IPricingPlanStatus;
(function (IPricingPlanStatus) {
    IPricingPlanStatus["ComingSoon"] = "Coming Soon";
    IPricingPlanStatus["Published"] = "Published";
    IPricingPlanStatus["Suspended"] = "Suspended";
})(IPricingPlanStatus || (exports.IPricingPlanStatus = IPricingPlanStatus = {}));
var IPricingPlanStatusCode;
(function (IPricingPlanStatusCode) {
    IPricingPlanStatusCode[IPricingPlanStatusCode["ComingSoon"] = 1] = "ComingSoon";
    IPricingPlanStatusCode[IPricingPlanStatusCode["Published"] = 2] = "Published";
    IPricingPlanStatusCode[IPricingPlanStatusCode["Suspended"] = 3] = "Suspended";
})(IPricingPlanStatusCode || (exports.IPricingPlanStatusCode = IPricingPlanStatusCode = {}));
var ISubscriptionStatus;
(function (ISubscriptionStatus) {
    ISubscriptionStatus["Pending"] = "Pending";
    ISubscriptionStatus["Active"] = "Active";
    ISubscriptionStatus["Suspended"] = "Suspended";
    ISubscriptionStatus["Expired"] = "Expired";
})(ISubscriptionStatus || (exports.ISubscriptionStatus = ISubscriptionStatus = {}));
var ISubscriptionStatusCode;
(function (ISubscriptionStatusCode) {
    ISubscriptionStatusCode[ISubscriptionStatusCode["Pending"] = 1] = "Pending";
    ISubscriptionStatusCode[ISubscriptionStatusCode["Active"] = 2] = "Active";
    ISubscriptionStatusCode[ISubscriptionStatusCode["Suspended"] = 3] = "Suspended";
    ISubscriptionStatusCode[ISubscriptionStatusCode["Expired"] = 4] = "Expired";
})(ISubscriptionStatusCode || (exports.ISubscriptionStatusCode = ISubscriptionStatusCode = {}));
var CompanyStatus;
(function (CompanyStatus) {
    CompanyStatus["Pending"] = "Pending";
    CompanyStatus["Verified"] = "Verified";
    CompanyStatus["Active"] = "Active";
    CompanyStatus["Suspended"] = "Suspended";
})(CompanyStatus || (exports.CompanyStatus = CompanyStatus = {}));
var CompanyStatusCode;
(function (CompanyStatusCode) {
    CompanyStatusCode[CompanyStatusCode["Pending"] = 1] = "Pending";
    CompanyStatusCode[CompanyStatusCode["Verified"] = 2] = "Verified";
    CompanyStatusCode[CompanyStatusCode["Active"] = 3] = "Active";
    CompanyStatusCode[CompanyStatusCode["Suspended"] = 4] = "Suspended";
})(CompanyStatusCode || (exports.CompanyStatusCode = CompanyStatusCode = {}));
var UserStatusCode;
(function (UserStatusCode) {
    UserStatusCode[UserStatusCode["NotVerified"] = 0] = "NotVerified";
    UserStatusCode[UserStatusCode["Active"] = 1] = "Active";
    UserStatusCode[UserStatusCode["Away"] = 2] = "Away";
    UserStatusCode[UserStatusCode["Inactive"] = 3] = "Inactive";
    UserStatusCode[UserStatusCode["Suspended"] = 4] = "Suspended";
})(UserStatusCode || (exports.UserStatusCode = UserStatusCode = {}));
var UserStatus;
(function (UserStatus) {
    UserStatus["NotVerified"] = "Not Verified";
    UserStatus["Active"] = "Active";
    UserStatus["Away"] = "Away";
    UserStatus["Inactive"] = "Inactive";
    UserStatus["Suspended"] = "Suspended";
})(UserStatus || (exports.UserStatus = UserStatus = {}));
var TelegramTypeCode;
(function (TelegramTypeCode) {
    TelegramTypeCode[TelegramTypeCode["Group"] = 1] = "Group";
    TelegramTypeCode[TelegramTypeCode["Channel"] = 2] = "Channel";
})(TelegramTypeCode || (exports.TelegramTypeCode = TelegramTypeCode = {}));
var TelegramType;
(function (TelegramType) {
    TelegramType["Group"] = "Group";
    TelegramType["Channel"] = "Channel";
})(TelegramType || (exports.TelegramType = TelegramType = {}));
//# sourceMappingURL=internal.enum.js.map