"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.KDSOrderStatus = exports.KDSOrderStatusCode = exports.ReservationChannel = exports.ReservationChannelCode = exports.ReservationStatus = exports.ReservationStatusCode = exports.TableStatus = exports.TableStatusCode = exports.FloorPlanStatus = exports.FloorPlanStatusCode = exports.POSShiftCashLogType = exports.POSShiftStatus = exports.POSShiftStatusCode = exports.POSUserType = exports.POSUserTypeCode = exports.POSUserStatus = exports.POSUserStatusCode = exports.DeviceStatus = exports.DeviceStatusCode = void 0;
var DeviceStatusCode;
(function (DeviceStatusCode) {
    DeviceStatusCode[DeviceStatusCode["Active"] = 1] = "Active";
    DeviceStatusCode[DeviceStatusCode["Suspended"] = 2] = "Suspended";
})(DeviceStatusCode || (exports.DeviceStatusCode = DeviceStatusCode = {}));
var DeviceStatus;
(function (DeviceStatus) {
    DeviceStatus["Active"] = "Active";
    DeviceStatus["Suspended"] = "Suspended";
})(DeviceStatus || (exports.DeviceStatus = DeviceStatus = {}));
var POSUserStatusCode;
(function (POSUserStatusCode) {
    POSUserStatusCode[POSUserStatusCode["Active"] = 1] = "Active";
    POSUserStatusCode[POSUserStatusCode["Inactive"] = 2] = "Inactive";
    POSUserStatusCode[POSUserStatusCode["Suspended"] = 3] = "Suspended";
})(POSUserStatusCode || (exports.POSUserStatusCode = POSUserStatusCode = {}));
var POSUserStatus;
(function (POSUserStatus) {
    POSUserStatus["Active"] = "Active";
    POSUserStatus["Inactive"] = "Inactive";
    POSUserStatus["Suspended"] = "Suspended";
})(POSUserStatus || (exports.POSUserStatus = POSUserStatus = {}));
var POSUserTypeCode;
(function (POSUserTypeCode) {
    POSUserTypeCode[POSUserTypeCode["Retail"] = 1] = "Retail";
    POSUserTypeCode[POSUserTypeCode["Restaurant"] = 2] = "Restaurant";
    POSUserTypeCode[POSUserTypeCode["KitchenOrder"] = 3] = "KitchenOrder";
    POSUserTypeCode[POSUserTypeCode["TableOrder"] = 4] = "TableOrder";
})(POSUserTypeCode || (exports.POSUserTypeCode = POSUserTypeCode = {}));
var POSUserType;
(function (POSUserType) {
    POSUserType["Retail"] = "Retail";
    POSUserType["Restaurant"] = "Restaurant";
    POSUserType["KitchenOrder"] = "KitchenOrder";
    POSUserType["TableOrder"] = "TableOrder";
})(POSUserType || (exports.POSUserType = POSUserType = {}));
var POSShiftStatusCode;
(function (POSShiftStatusCode) {
    POSShiftStatusCode[POSShiftStatusCode["Open"] = 1] = "Open";
    POSShiftStatusCode[POSShiftStatusCode["Closed"] = 2] = "Closed";
})(POSShiftStatusCode || (exports.POSShiftStatusCode = POSShiftStatusCode = {}));
var POSShiftStatus;
(function (POSShiftStatus) {
    POSShiftStatus["Open"] = "Open";
    POSShiftStatus["Closed"] = "Closed";
})(POSShiftStatus || (exports.POSShiftStatus = POSShiftStatus = {}));
var POSShiftCashLogType;
(function (POSShiftCashLogType) {
    POSShiftCashLogType[POSShiftCashLogType["In"] = 1] = "In";
    POSShiftCashLogType[POSShiftCashLogType["Out"] = 2] = "Out";
})(POSShiftCashLogType || (exports.POSShiftCashLogType = POSShiftCashLogType = {}));
var FloorPlanStatusCode;
(function (FloorPlanStatusCode) {
    FloorPlanStatusCode[FloorPlanStatusCode["Inactive"] = 1] = "Inactive";
    FloorPlanStatusCode[FloorPlanStatusCode["Available"] = 2] = "Available";
    FloorPlanStatusCode[FloorPlanStatusCode["Reserved"] = 3] = "Reserved";
})(FloorPlanStatusCode || (exports.FloorPlanStatusCode = FloorPlanStatusCode = {}));
var FloorPlanStatus;
(function (FloorPlanStatus) {
    FloorPlanStatus["Inactive"] = "Inactive";
    FloorPlanStatus["Available"] = "Available";
    FloorPlanStatus["Reserved"] = "Reserved";
})(FloorPlanStatus || (exports.FloorPlanStatus = FloorPlanStatus = {}));
var TableStatusCode;
(function (TableStatusCode) {
    TableStatusCode[TableStatusCode["Inactive"] = 1] = "Inactive";
    TableStatusCode[TableStatusCode["Available"] = 2] = "Available";
    TableStatusCode[TableStatusCode["Occupied"] = 3] = "Occupied";
    TableStatusCode[TableStatusCode["Reserved"] = 4] = "Reserved";
})(TableStatusCode || (exports.TableStatusCode = TableStatusCode = {}));
var TableStatus;
(function (TableStatus) {
    TableStatus["Inactive"] = "Inactive";
    TableStatus["Available"] = "Available";
    TableStatus["Occupied"] = "Occupied";
    TableStatus["Reserved"] = "Reserved";
})(TableStatus || (exports.TableStatus = TableStatus = {}));
var ReservationStatusCode;
(function (ReservationStatusCode) {
    ReservationStatusCode[ReservationStatusCode["Confirmed"] = 1] = "Confirmed";
    ReservationStatusCode[ReservationStatusCode["Seated"] = 2] = "Seated";
    ReservationStatusCode[ReservationStatusCode["Completed"] = 3] = "Completed";
    ReservationStatusCode[ReservationStatusCode["Cancelled"] = 4] = "Cancelled";
    ReservationStatusCode[ReservationStatusCode["Void"] = 5] = "Void";
})(ReservationStatusCode || (exports.ReservationStatusCode = ReservationStatusCode = {}));
var ReservationStatus;
(function (ReservationStatus) {
    ReservationStatus["Confirmed"] = "Confirmed";
    ReservationStatus["Seated"] = "Seated";
    ReservationStatus["Completed"] = "Completed";
    ReservationStatus["Cancelled"] = "Cancelled";
    ReservationStatus["Void"] = "Void";
})(ReservationStatus || (exports.ReservationStatus = ReservationStatus = {}));
var ReservationChannelCode;
(function (ReservationChannelCode) {
    ReservationChannelCode[ReservationChannelCode["Phone"] = 1] = "Phone";
    ReservationChannelCode[ReservationChannelCode["InPerson"] = 2] = "InPerson";
})(ReservationChannelCode || (exports.ReservationChannelCode = ReservationChannelCode = {}));
var ReservationChannel;
(function (ReservationChannel) {
    ReservationChannel["Phone"] = "Phone";
    ReservationChannel["InPerson"] = "In Person";
})(ReservationChannel || (exports.ReservationChannel = ReservationChannel = {}));
var KDSOrderStatusCode;
(function (KDSOrderStatusCode) {
    KDSOrderStatusCode[KDSOrderStatusCode["New"] = 1] = "New";
    KDSOrderStatusCode[KDSOrderStatusCode["Ready"] = 2] = "Ready";
    KDSOrderStatusCode[KDSOrderStatusCode["Cancelled"] = 3] = "Cancelled";
    KDSOrderStatusCode[KDSOrderStatusCode["Void"] = 4] = "Void";
})(KDSOrderStatusCode || (exports.KDSOrderStatusCode = KDSOrderStatusCode = {}));
var KDSOrderStatus;
(function (KDSOrderStatus) {
    KDSOrderStatus["New"] = "New";
    KDSOrderStatus["Ready"] = "Ready";
    KDSOrderStatus["Cancelled"] = "Cancelled";
    KDSOrderStatus["Void"] = "Void";
})(KDSOrderStatus || (exports.KDSOrderStatus = KDSOrderStatus = {}));
//# sourceMappingURL=pos.enum.js.map