export declare enum SalesDocumentTypeCode {
    Quote = 1,
    Order = 2,
    Invoice = 3,
    CreditMemo = 4,
    ReturnOrder = 5,
    Receipt = 6,
    Shipment = 7,
    Payment = 8,
    Refund = 9,
    CreditApplied = 10,
    Subscription = 11
}
export declare enum SalesDocumentType {
    Quote = "Quote",
    Order = "Order",
    Invoice = "Invoice",
    CreditMemo = "Credit Memo",
    ReturnOrder = "Return Order",
    Receipt = "Receipt",
    Shipment = "Shipment",
    Payment = "Payment",
    Refund = "Refund",
    CreditApplied = "Credit Applied",
    Subscription = "Subscription"
}
export declare enum SalesDocumentStatusCode {
    Draft = 1,
    Open = 2,
    PendingApproval = 3,
    Rejected = 4,
    Approved = 5,
    Issued = 6,
    NotPackaged = 7,
    PartiallyPackaged = 8,
    Packaged = 9,
    NotShipped = 10,
    PartiallyShipped = 11,
    Shipped = 12,
    NotInvoiced = 13,
    PartiallyInvoiced = 14,
    Invoiced = 15,
    NotReceived = 16,
    PartiallyReceived = 17,
    Received = 18,
    NotCreditMemo = 19,
    PartiallyCreditMemo = 20,
    CreditMemo = 21,
    Canceled = 22,
    Closed = 23
}
export declare enum SalesDocumentStatus {
    Draft = "Draft",
    Open = "Open",
    PendingApproval = "Pending Approval",
    Rejected = "Rejected",
    Approved = "Approved",
    Issued = "Issued",
    NotPackaged = "Not Packaged",
    PartiallyPackaged = "Partially Packaged",
    Packaged = "Packaged",
    NotShipped = "Not Shipped",
    PartiallyShipped = "Partially Shipped",
    Shipped = "Shipped",
    NotInvoiced = "Not Invoiced",
    PartiallyInvoiced = "Partially Invoiced",
    Invoiced = "Invoiced",
    NotReceived = "Not Received",
    PartiallyReceived = "Partially Received",
    Received = "Received",
    NotCreditMemo = "Not Credit Memo",
    PartiallyCreditMemo = "Partially Credit Memo",
    CreditMemo = "Credit Memo",
    Canceled = "Canceled",
    Closed = "Closed"
}
export declare enum CashReceiptStatus {
    Open = "Open",
    PartiallyPaid = "Partially Paid",
    Paid = "Paid"
}
export declare enum CashReceiptStatusCode {
    Open = 1,
    PartiallyPaid = 2,
    Paid = 3
}
export declare enum CashReceiptRefundStatus {
    Open = "Open",
    PartiallyRefund = "Partially Refund",
    Refunded = "Refunded"
}
export declare enum CashReceiptRefundStatusCode {
    Open = 1,
    PartiallyRefund = 2,
    Refunded = 3
}
export declare enum SalesLinePriceItemType {
    Item = 1,
    ItemGroup = 2
}
export declare enum SalesLinePriceSaleType {
    Customer = 1,
    CustomerGroup = 2,
    AllCustomers = 3
}
export declare enum SalesShipmentStatus {
    NotShipped = "Not Shipped",
    Shipped = "Shipped",
    Delivered = "Delivered"
}
export declare enum SalesShipmentStatusCode {
    NotShipped = 1,
    Shipped = 2,
    Delivered = 3
}
