"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SalesShipmentStatusCode = exports.SalesShipmentStatus = exports.SalesLinePriceSaleType = exports.SalesLinePriceItemType = exports.CashReceiptRefundStatusCode = exports.CashReceiptRefundStatus = exports.CashReceiptStatusCode = exports.CashReceiptStatus = exports.SalesDocumentStatus = exports.SalesDocumentStatusCode = exports.SalesDocumentType = exports.SalesDocumentTypeCode = void 0;
var SalesDocumentTypeCode;
(function (SalesDocumentTypeCode) {
    SalesDocumentTypeCode[SalesDocumentTypeCode["Quote"] = 1] = "Quote";
    SalesDocumentTypeCode[SalesDocumentTypeCode["Order"] = 2] = "Order";
    SalesDocumentTypeCode[SalesDocumentTypeCode["Invoice"] = 3] = "Invoice";
    SalesDocumentTypeCode[SalesDocumentTypeCode["CreditMemo"] = 4] = "CreditMemo";
    SalesDocumentTypeCode[SalesDocumentTypeCode["ReturnOrder"] = 5] = "ReturnOrder";
    SalesDocumentTypeCode[SalesDocumentTypeCode["Receipt"] = 6] = "Receipt";
    SalesDocumentTypeCode[SalesDocumentTypeCode["Shipment"] = 7] = "Shipment";
    SalesDocumentTypeCode[SalesDocumentTypeCode["Payment"] = 8] = "Payment";
    SalesDocumentTypeCode[SalesDocumentTypeCode["Refund"] = 9] = "Refund";
    SalesDocumentTypeCode[SalesDocumentTypeCode["CreditApplied"] = 10] = "CreditApplied";
    SalesDocumentTypeCode[SalesDocumentTypeCode["Subscription"] = 11] = "Subscription";
})(SalesDocumentTypeCode || (exports.SalesDocumentTypeCode = SalesDocumentTypeCode = {}));
var SalesDocumentType;
(function (SalesDocumentType) {
    SalesDocumentType["Quote"] = "Quote";
    SalesDocumentType["Order"] = "Order";
    SalesDocumentType["Invoice"] = "Invoice";
    SalesDocumentType["CreditMemo"] = "Credit Memo";
    SalesDocumentType["ReturnOrder"] = "Return Order";
    SalesDocumentType["Receipt"] = "Receipt";
    SalesDocumentType["Shipment"] = "Shipment";
    SalesDocumentType["Payment"] = "Payment";
    SalesDocumentType["Refund"] = "Refund";
    SalesDocumentType["CreditApplied"] = "Credit Applied";
    SalesDocumentType["Subscription"] = "Subscription";
})(SalesDocumentType || (exports.SalesDocumentType = SalesDocumentType = {}));
var SalesDocumentStatusCode;
(function (SalesDocumentStatusCode) {
    SalesDocumentStatusCode[SalesDocumentStatusCode["Draft"] = 1] = "Draft";
    SalesDocumentStatusCode[SalesDocumentStatusCode["Open"] = 2] = "Open";
    SalesDocumentStatusCode[SalesDocumentStatusCode["PendingApproval"] = 3] = "PendingApproval";
    SalesDocumentStatusCode[SalesDocumentStatusCode["Rejected"] = 4] = "Rejected";
    SalesDocumentStatusCode[SalesDocumentStatusCode["Approved"] = 5] = "Approved";
    SalesDocumentStatusCode[SalesDocumentStatusCode["Issued"] = 6] = "Issued";
    SalesDocumentStatusCode[SalesDocumentStatusCode["NotPackaged"] = 7] = "NotPackaged";
    SalesDocumentStatusCode[SalesDocumentStatusCode["PartiallyPackaged"] = 8] = "PartiallyPackaged";
    SalesDocumentStatusCode[SalesDocumentStatusCode["Packaged"] = 9] = "Packaged";
    SalesDocumentStatusCode[SalesDocumentStatusCode["NotShipped"] = 10] = "NotShipped";
    SalesDocumentStatusCode[SalesDocumentStatusCode["PartiallyShipped"] = 11] = "PartiallyShipped";
    SalesDocumentStatusCode[SalesDocumentStatusCode["Shipped"] = 12] = "Shipped";
    SalesDocumentStatusCode[SalesDocumentStatusCode["NotInvoiced"] = 13] = "NotInvoiced";
    SalesDocumentStatusCode[SalesDocumentStatusCode["PartiallyInvoiced"] = 14] = "PartiallyInvoiced";
    SalesDocumentStatusCode[SalesDocumentStatusCode["Invoiced"] = 15] = "Invoiced";
    SalesDocumentStatusCode[SalesDocumentStatusCode["NotReceived"] = 16] = "NotReceived";
    SalesDocumentStatusCode[SalesDocumentStatusCode["PartiallyReceived"] = 17] = "PartiallyReceived";
    SalesDocumentStatusCode[SalesDocumentStatusCode["Received"] = 18] = "Received";
    SalesDocumentStatusCode[SalesDocumentStatusCode["NotCreditMemo"] = 19] = "NotCreditMemo";
    SalesDocumentStatusCode[SalesDocumentStatusCode["PartiallyCreditMemo"] = 20] = "PartiallyCreditMemo";
    SalesDocumentStatusCode[SalesDocumentStatusCode["CreditMemo"] = 21] = "CreditMemo";
    SalesDocumentStatusCode[SalesDocumentStatusCode["Canceled"] = 22] = "Canceled";
    SalesDocumentStatusCode[SalesDocumentStatusCode["Closed"] = 23] = "Closed";
})(SalesDocumentStatusCode || (exports.SalesDocumentStatusCode = SalesDocumentStatusCode = {}));
var SalesDocumentStatus;
(function (SalesDocumentStatus) {
    SalesDocumentStatus["Draft"] = "Draft";
    SalesDocumentStatus["Open"] = "Open";
    SalesDocumentStatus["PendingApproval"] = "Pending Approval";
    SalesDocumentStatus["Rejected"] = "Rejected";
    SalesDocumentStatus["Approved"] = "Approved";
    SalesDocumentStatus["Issued"] = "Issued";
    SalesDocumentStatus["NotPackaged"] = "Not Packaged";
    SalesDocumentStatus["PartiallyPackaged"] = "Partially Packaged";
    SalesDocumentStatus["Packaged"] = "Packaged";
    SalesDocumentStatus["NotShipped"] = "Not Shipped";
    SalesDocumentStatus["PartiallyShipped"] = "Partially Shipped";
    SalesDocumentStatus["Shipped"] = "Shipped";
    SalesDocumentStatus["NotInvoiced"] = "Not Invoiced";
    SalesDocumentStatus["PartiallyInvoiced"] = "Partially Invoiced";
    SalesDocumentStatus["Invoiced"] = "Invoiced";
    SalesDocumentStatus["NotReceived"] = "Not Received";
    SalesDocumentStatus["PartiallyReceived"] = "Partially Received";
    SalesDocumentStatus["Received"] = "Received";
    SalesDocumentStatus["NotCreditMemo"] = "Not Credit Memo";
    SalesDocumentStatus["PartiallyCreditMemo"] = "Partially Credit Memo";
    SalesDocumentStatus["CreditMemo"] = "Credit Memo";
    SalesDocumentStatus["Canceled"] = "Canceled";
    SalesDocumentStatus["Closed"] = "Closed";
})(SalesDocumentStatus || (exports.SalesDocumentStatus = SalesDocumentStatus = {}));
var CashReceiptStatus;
(function (CashReceiptStatus) {
    CashReceiptStatus["Open"] = "Open";
    CashReceiptStatus["PartiallyPaid"] = "Partially Paid";
    CashReceiptStatus["Paid"] = "Paid";
})(CashReceiptStatus || (exports.CashReceiptStatus = CashReceiptStatus = {}));
var CashReceiptStatusCode;
(function (CashReceiptStatusCode) {
    CashReceiptStatusCode[CashReceiptStatusCode["Open"] = 1] = "Open";
    CashReceiptStatusCode[CashReceiptStatusCode["PartiallyPaid"] = 2] = "PartiallyPaid";
    CashReceiptStatusCode[CashReceiptStatusCode["Paid"] = 3] = "Paid";
})(CashReceiptStatusCode || (exports.CashReceiptStatusCode = CashReceiptStatusCode = {}));
var CashReceiptRefundStatus;
(function (CashReceiptRefundStatus) {
    CashReceiptRefundStatus["Open"] = "Open";
    CashReceiptRefundStatus["PartiallyRefund"] = "Partially Refund";
    CashReceiptRefundStatus["Refunded"] = "Refunded";
})(CashReceiptRefundStatus || (exports.CashReceiptRefundStatus = CashReceiptRefundStatus = {}));
var CashReceiptRefundStatusCode;
(function (CashReceiptRefundStatusCode) {
    CashReceiptRefundStatusCode[CashReceiptRefundStatusCode["Open"] = 1] = "Open";
    CashReceiptRefundStatusCode[CashReceiptRefundStatusCode["PartiallyRefund"] = 2] = "PartiallyRefund";
    CashReceiptRefundStatusCode[CashReceiptRefundStatusCode["Refunded"] = 3] = "Refunded";
})(CashReceiptRefundStatusCode || (exports.CashReceiptRefundStatusCode = CashReceiptRefundStatusCode = {}));
var SalesLinePriceItemType;
(function (SalesLinePriceItemType) {
    SalesLinePriceItemType[SalesLinePriceItemType["Item"] = 1] = "Item";
    SalesLinePriceItemType[SalesLinePriceItemType["ItemGroup"] = 2] = "ItemGroup";
})(SalesLinePriceItemType || (exports.SalesLinePriceItemType = SalesLinePriceItemType = {}));
var SalesLinePriceSaleType;
(function (SalesLinePriceSaleType) {
    SalesLinePriceSaleType[SalesLinePriceSaleType["Customer"] = 1] = "Customer";
    SalesLinePriceSaleType[SalesLinePriceSaleType["CustomerGroup"] = 2] = "CustomerGroup";
    SalesLinePriceSaleType[SalesLinePriceSaleType["AllCustomers"] = 3] = "AllCustomers";
})(SalesLinePriceSaleType || (exports.SalesLinePriceSaleType = SalesLinePriceSaleType = {}));
var SalesShipmentStatus;
(function (SalesShipmentStatus) {
    SalesShipmentStatus["NotShipped"] = "Not Shipped";
    SalesShipmentStatus["Shipped"] = "Shipped";
    SalesShipmentStatus["Delivered"] = "Delivered";
})(SalesShipmentStatus || (exports.SalesShipmentStatus = SalesShipmentStatus = {}));
var SalesShipmentStatusCode;
(function (SalesShipmentStatusCode) {
    SalesShipmentStatusCode[SalesShipmentStatusCode["NotShipped"] = 1] = "NotShipped";
    SalesShipmentStatusCode[SalesShipmentStatusCode["Shipped"] = 2] = "Shipped";
    SalesShipmentStatusCode[SalesShipmentStatusCode["Delivered"] = 3] = "Delivered";
})(SalesShipmentStatusCode || (exports.SalesShipmentStatusCode = SalesShipmentStatusCode = {}));
//# sourceMappingURL=sales.enum.js.map