"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TaskQueueDocumentTypeCode = exports.TaskQueueDocumentType = exports.InventoryItemTrackingDocumentType = exports.PaymentMethodTypeCode = exports.PaymentMethodType = exports.TransactionTaxTypeCode = exports.TransactionTaxType = exports.TaxTypeCode = exports.TaxType = exports.BankLedgerEntryStatusCode = exports.BankLedgerEntryStatus = exports.BankLedgerEntryDocumentTypeCode = exports.BankLedgerEntryDocumentType = exports.DocumentNoSeriesInvoiceTypeCode = exports.DocumentNoSeriesInvoiceType = exports.DocumentNoSeriesTypeCode = exports.DocumentNoSeriesType = exports.DocumentTypeCode = exports.DocumentType = exports.TransferStatusCode = exports.TransferStatus = exports.AdjustmentStatusCode = exports.AdjustmentStatus = exports.AdjustmentTypeCode = exports.AdjustmentType = exports.VATEntryDocumentTypeCode = exports.VATEntryDocumentType = exports.SourceTypeCode = exports.SourceType = exports.EntryTypeCode = exports.EntryType = exports.DiscountLevelType = exports.DiscountType = exports.ItemTrackingTypeCode = exports.CostingMethods = exports.VATCalculationType = exports.VATType = void 0;
var VATType;
(function (VATType) {
    VATType[VATType["VATExclusive"] = 1] = "VATExclusive";
    VATType[VATType["VATInclusive"] = 2] = "VATInclusive";
})(VATType || (exports.VATType = VATType = {}));
var VATCalculationType;
(function (VATCalculationType) {
    VATCalculationType[VATCalculationType["VATBeforeDiscount"] = 1] = "VATBeforeDiscount";
    VATCalculationType[VATCalculationType["VATAfterDiscount"] = 2] = "VATAfterDiscount";
})(VATCalculationType || (exports.VATCalculationType = VATCalculationType = {}));
var CostingMethods;
(function (CostingMethods) {
    CostingMethods["FIFO"] = "FIFO";
    CostingMethods["Average"] = "Average";
})(CostingMethods || (exports.CostingMethods = CostingMethods = {}));
var ItemTrackingTypeCode;
(function (ItemTrackingTypeCode) {
    ItemTrackingTypeCode[ItemTrackingTypeCode["None"] = 0] = "None";
    ItemTrackingTypeCode[ItemTrackingTypeCode["Lot"] = 1] = "Lot";
    ItemTrackingTypeCode[ItemTrackingTypeCode["Series"] = 2] = "Series";
})(ItemTrackingTypeCode || (exports.ItemTrackingTypeCode = ItemTrackingTypeCode = {}));
var DiscountType;
(function (DiscountType) {
    DiscountType[DiscountType["Percentage"] = 1] = "Percentage";
    DiscountType[DiscountType["Amount"] = 2] = "Amount";
})(DiscountType || (exports.DiscountType = DiscountType = {}));
var DiscountLevelType;
(function (DiscountLevelType) {
    DiscountLevelType[DiscountLevelType["AtTransactionLevel"] = 1] = "AtTransactionLevel";
    DiscountLevelType[DiscountLevelType["AtLineItemLevel"] = 2] = "AtLineItemLevel";
})(DiscountLevelType || (exports.DiscountLevelType = DiscountLevelType = {}));
var EntryType;
(function (EntryType) {
    EntryType["Purchase"] = "Purchase";
    EntryType["Sales"] = "Sales";
    EntryType["DirectCost"] = "Direct Cost";
})(EntryType || (exports.EntryType = EntryType = {}));
var EntryTypeCode;
(function (EntryTypeCode) {
    EntryTypeCode[EntryTypeCode["Purchase"] = 1] = "Purchase";
    EntryTypeCode[EntryTypeCode["Sales"] = 2] = "Sales";
    EntryTypeCode[EntryTypeCode["DirectCost"] = 3] = "DirectCost";
})(EntryTypeCode || (exports.EntryTypeCode = EntryTypeCode = {}));
var SourceType;
(function (SourceType) {
    SourceType["Vendor"] = "Vendor";
    SourceType["Customer"] = "Customer";
})(SourceType || (exports.SourceType = SourceType = {}));
var SourceTypeCode;
(function (SourceTypeCode) {
    SourceTypeCode[SourceTypeCode["Vendor"] = 1] = "Vendor";
    SourceTypeCode[SourceTypeCode["Customer"] = 2] = "Customer";
})(SourceTypeCode || (exports.SourceTypeCode = SourceTypeCode = {}));
var VATEntryDocumentType;
(function (VATEntryDocumentType) {
    VATEntryDocumentType["Invoice"] = "Invoice";
    VATEntryDocumentType["CreditMemo"] = "Credit Memo";
})(VATEntryDocumentType || (exports.VATEntryDocumentType = VATEntryDocumentType = {}));
var VATEntryDocumentTypeCode;
(function (VATEntryDocumentTypeCode) {
    VATEntryDocumentTypeCode[VATEntryDocumentTypeCode["Invoice"] = 1] = "Invoice";
    VATEntryDocumentTypeCode[VATEntryDocumentTypeCode["CreditMemo"] = 2] = "CreditMemo";
})(VATEntryDocumentTypeCode || (exports.VATEntryDocumentTypeCode = VATEntryDocumentTypeCode = {}));
var AdjustmentType;
(function (AdjustmentType) {
    AdjustmentType["PositiveAdjustment"] = "Positive Adjustment";
    AdjustmentType["NegativeAdjustment"] = "Negative Adjustment";
})(AdjustmentType || (exports.AdjustmentType = AdjustmentType = {}));
var AdjustmentTypeCode;
(function (AdjustmentTypeCode) {
    AdjustmentTypeCode[AdjustmentTypeCode["PositiveAdjustment"] = 1] = "PositiveAdjustment";
    AdjustmentTypeCode[AdjustmentTypeCode["NegativeAdjustment"] = 2] = "NegativeAdjustment";
})(AdjustmentTypeCode || (exports.AdjustmentTypeCode = AdjustmentTypeCode = {}));
var AdjustmentStatus;
(function (AdjustmentStatus) {
    AdjustmentStatus["Open"] = "Open";
    AdjustmentStatus["Issued"] = "Issued";
    AdjustmentStatus["Adjusted"] = "Adjusted";
    AdjustmentStatus["PendingApproval"] = "Pending Approval";
    AdjustmentStatus["Rejected"] = "Rejected";
    AdjustmentStatus["Approved"] = "Approved";
})(AdjustmentStatus || (exports.AdjustmentStatus = AdjustmentStatus = {}));
var AdjustmentStatusCode;
(function (AdjustmentStatusCode) {
    AdjustmentStatusCode[AdjustmentStatusCode["Open"] = 1] = "Open";
    AdjustmentStatusCode[AdjustmentStatusCode["Issued"] = 2] = "Issued";
    AdjustmentStatusCode[AdjustmentStatusCode["Adjusted"] = 3] = "Adjusted";
    AdjustmentStatusCode[AdjustmentStatusCode["PendingApproval"] = 4] = "PendingApproval";
    AdjustmentStatusCode[AdjustmentStatusCode["Rejected"] = 5] = "Rejected";
    AdjustmentStatusCode[AdjustmentStatusCode["Approved"] = 6] = "Approved";
})(AdjustmentStatusCode || (exports.AdjustmentStatusCode = AdjustmentStatusCode = {}));
var TransferStatus;
(function (TransferStatus) {
    TransferStatus["Open"] = "Open";
    TransferStatus["Issued"] = "Issued";
    TransferStatus["InTransit"] = "In Transit";
    TransferStatus["Transferred"] = "Transferred";
    TransferStatus["PendingApproval"] = "Pending Approval";
    TransferStatus["Rejected"] = "Rejected";
    TransferStatus["Approved"] = "Approved";
    TransferStatus["NotShipped"] = "Not Shipped";
    TransferStatus["PartiallyShipped"] = "Partially Shipped";
    TransferStatus["Shipped"] = "Shipped";
    TransferStatus["NotReceived"] = "Not Received";
    TransferStatus["PartiallyReceived"] = "Partially Received";
    TransferStatus["Received"] = "Received";
    TransferStatus["Closed"] = "Closed";
})(TransferStatus || (exports.TransferStatus = TransferStatus = {}));
var TransferStatusCode;
(function (TransferStatusCode) {
    TransferStatusCode[TransferStatusCode["Open"] = 1] = "Open";
    TransferStatusCode[TransferStatusCode["Issued"] = 2] = "Issued";
    TransferStatusCode[TransferStatusCode["InTransit"] = 3] = "InTransit";
    TransferStatusCode[TransferStatusCode["Transferred"] = 4] = "Transferred";
    TransferStatusCode[TransferStatusCode["PendingApproval"] = 5] = "PendingApproval";
    TransferStatusCode[TransferStatusCode["Rejected"] = 6] = "Rejected";
    TransferStatusCode[TransferStatusCode["Approved"] = 7] = "Approved";
    TransferStatusCode[TransferStatusCode["NotShipped"] = 8] = "NotShipped";
    TransferStatusCode[TransferStatusCode["PartiallyShipped"] = 9] = "PartiallyShipped";
    TransferStatusCode[TransferStatusCode["Shipped"] = 10] = "Shipped";
    TransferStatusCode[TransferStatusCode["NotReceived"] = 11] = "NotReceived";
    TransferStatusCode[TransferStatusCode["PartiallyReceived"] = 12] = "PartiallyReceived";
    TransferStatusCode[TransferStatusCode["Received"] = 13] = "Received";
    TransferStatusCode[TransferStatusCode["Closed"] = 14] = "Closed";
})(TransferStatusCode || (exports.TransferStatusCode = TransferStatusCode = {}));
var DocumentType;
(function (DocumentType) {
    DocumentType["PurchaseQuote"] = "Purchase Quote";
    DocumentType["PurchaseOrder"] = "Purchase Order";
    DocumentType["PurchaseInvoice"] = "Purchase Invoice";
    DocumentType["PurchaseReturnOrder"] = "Purchase Return Order";
    DocumentType["PurchaseCreditMemo"] = "Purchase Credit Memo";
    DocumentType["PurchaseReceipt"] = "Purchase Receipt";
    DocumentType["PurchaseShipment"] = "Purchase Shipment";
    DocumentType["SalesQuote"] = "Sales Quote";
    DocumentType["SalesOrder"] = "Sales Order";
    DocumentType["SalesInvoice"] = "Sales Invoice";
    DocumentType["SalesShipment"] = "Sales Shipment";
    DocumentType["SalesReturnOrder"] = "Sales Return Order";
    DocumentType["SalesCreditMemo"] = "Sales Credit Memo";
    DocumentType["SalesReceipt"] = "Sales Receipt";
    DocumentType["PositiveAdjustment"] = "Positive Adjustment";
    DocumentType["NegativeAdjustment"] = "Negative Adjustment";
    DocumentType["TransferOrder"] = "Transfer Order";
    DocumentType["TransferShipment"] = "Transfer Shipment";
    DocumentType["TransferReceipt"] = "Transfer Receipt";
})(DocumentType || (exports.DocumentType = DocumentType = {}));
var DocumentTypeCode;
(function (DocumentTypeCode) {
    DocumentTypeCode[DocumentTypeCode["PurchaseQuote"] = 1] = "PurchaseQuote";
    DocumentTypeCode[DocumentTypeCode["PurchaseOrder"] = 2] = "PurchaseOrder";
    DocumentTypeCode[DocumentTypeCode["PurchaseInvoice"] = 3] = "PurchaseInvoice";
    DocumentTypeCode[DocumentTypeCode["PurchaseReturnOrder"] = 4] = "PurchaseReturnOrder";
    DocumentTypeCode[DocumentTypeCode["PurchaseCreditMemo"] = 5] = "PurchaseCreditMemo";
    DocumentTypeCode[DocumentTypeCode["PurchaseReceipt"] = 6] = "PurchaseReceipt";
    DocumentTypeCode[DocumentTypeCode["PurchaseShipment"] = 7] = "PurchaseShipment";
    DocumentTypeCode[DocumentTypeCode["SalesQuote"] = 8] = "SalesQuote";
    DocumentTypeCode[DocumentTypeCode["SalesOrder"] = 9] = "SalesOrder";
    DocumentTypeCode[DocumentTypeCode["SalesInvoice"] = 10] = "SalesInvoice";
    DocumentTypeCode[DocumentTypeCode["SalesReturnOrder"] = 11] = "SalesReturnOrder";
    DocumentTypeCode[DocumentTypeCode["SalesCreditMemo"] = 12] = "SalesCreditMemo";
    DocumentTypeCode[DocumentTypeCode["PositiveAdjustment"] = 13] = "PositiveAdjustment";
    DocumentTypeCode[DocumentTypeCode["NegativeAdjustment"] = 14] = "NegativeAdjustment";
    DocumentTypeCode[DocumentTypeCode["TransferOrder"] = 15] = "TransferOrder";
    DocumentTypeCode[DocumentTypeCode["TransferShipment"] = 16] = "TransferShipment";
    DocumentTypeCode[DocumentTypeCode["TransferReceipt"] = 17] = "TransferReceipt";
    DocumentTypeCode[DocumentTypeCode["SalesShipment"] = 19] = "SalesShipment";
    DocumentTypeCode[DocumentTypeCode["SalesReceipt"] = 20] = "SalesReceipt";
})(DocumentTypeCode || (exports.DocumentTypeCode = DocumentTypeCode = {}));
var DocumentNoSeriesType;
(function (DocumentNoSeriesType) {
    DocumentNoSeriesType["PurchaseQuote"] = "Purchase Quote";
    DocumentNoSeriesType["PurchaseOrder"] = "Purchase Order";
    DocumentNoSeriesType["PurchaseInvoice"] = "Purchase Order Invoice";
    DocumentNoSeriesType["PurchaseReturnOrder"] = "Purchase Return Order";
    DocumentNoSeriesType["PurchaseCreditMemo"] = "Purchase Credit Memo";
    DocumentNoSeriesType["PurchaseReceipt"] = "Purchase Receipt";
    DocumentNoSeriesType["PurchaseShipment"] = "Purchase Shipment";
    DocumentNoSeriesType["PurchaseInvoiced"] = "Purchase Invoiced";
    DocumentNoSeriesType["Payment"] = "Payment";
    DocumentNoSeriesType["PaymentRefund"] = "Payment Refund";
    DocumentNoSeriesType["SalesQuote"] = "Sales Quote";
    DocumentNoSeriesType["SalesOrder"] = "Sales Order";
    DocumentNoSeriesType["SalesReturnOrder"] = "Sales Return Order";
    DocumentNoSeriesType["SalesPackage"] = "Sales Package";
    DocumentNoSeriesType["SalesShipment"] = "Sales Shipment";
    DocumentNoSeriesType["SalesInvoice"] = "Sales Invoice";
    DocumentNoSeriesType["SalesReceipt"] = "Sales Receipt";
    DocumentNoSeriesType["SalesCreditMemo"] = "Sales Credit Memo";
    DocumentNoSeriesType["CashReceipt"] = "Cash Receipt";
    DocumentNoSeriesType["CashReceiptRefund"] = "Cash Receipt Refund";
    DocumentNoSeriesType["Customer"] = "Customer";
    DocumentNoSeriesType["Salesperson"] = "Salesperson";
    DocumentNoSeriesType["Vendor"] = "Vendor";
    DocumentNoSeriesType["TransferOrder"] = "Transfer Order";
    DocumentNoSeriesType["TransferShipment"] = "Transfer Shipment";
    DocumentNoSeriesType["TransferReceipt"] = "Transfer Receipt";
    DocumentNoSeriesType["InventoryAdjustment"] = "Inventory Adjustment";
    DocumentNoSeriesType["Subscription"] = "Subscription";
})(DocumentNoSeriesType || (exports.DocumentNoSeriesType = DocumentNoSeriesType = {}));
var DocumentNoSeriesTypeCode;
(function (DocumentNoSeriesTypeCode) {
    DocumentNoSeriesTypeCode[DocumentNoSeriesTypeCode["PurchaseQuote"] = 1] = "PurchaseQuote";
    DocumentNoSeriesTypeCode[DocumentNoSeriesTypeCode["PurchaseOrder"] = 2] = "PurchaseOrder";
    DocumentNoSeriesTypeCode[DocumentNoSeriesTypeCode["PurchaseInvoice"] = 3] = "PurchaseInvoice";
    DocumentNoSeriesTypeCode[DocumentNoSeriesTypeCode["PurchaseReturnOrder"] = 4] = "PurchaseReturnOrder";
    DocumentNoSeriesTypeCode[DocumentNoSeriesTypeCode["PurchaseCreditMemo"] = 5] = "PurchaseCreditMemo";
    DocumentNoSeriesTypeCode[DocumentNoSeriesTypeCode["PurchaseReceipt"] = 6] = "PurchaseReceipt";
    DocumentNoSeriesTypeCode[DocumentNoSeriesTypeCode["PurchaseShipment"] = 7] = "PurchaseShipment";
    DocumentNoSeriesTypeCode[DocumentNoSeriesTypeCode["PurchaseInvoiced"] = 8] = "PurchaseInvoiced";
    DocumentNoSeriesTypeCode[DocumentNoSeriesTypeCode["Payment"] = 9] = "Payment";
    DocumentNoSeriesTypeCode[DocumentNoSeriesTypeCode["PaymentRefund"] = 10] = "PaymentRefund";
    DocumentNoSeriesTypeCode[DocumentNoSeriesTypeCode["SalesQuote"] = 11] = "SalesQuote";
    DocumentNoSeriesTypeCode[DocumentNoSeriesTypeCode["SalesOrder"] = 12] = "SalesOrder";
    DocumentNoSeriesTypeCode[DocumentNoSeriesTypeCode["SalesShipment"] = 13] = "SalesShipment";
    DocumentNoSeriesTypeCode[DocumentNoSeriesTypeCode["SalesInvoice"] = 14] = "SalesInvoice";
    DocumentNoSeriesTypeCode[DocumentNoSeriesTypeCode["SalesReceipt"] = 15] = "SalesReceipt";
    DocumentNoSeriesTypeCode[DocumentNoSeriesTypeCode["SalesCreditMemo"] = 16] = "SalesCreditMemo";
    DocumentNoSeriesTypeCode[DocumentNoSeriesTypeCode["CashReceipt"] = 17] = "CashReceipt";
    DocumentNoSeriesTypeCode[DocumentNoSeriesTypeCode["CashReceiptRefund"] = 18] = "CashReceiptRefund";
    DocumentNoSeriesTypeCode[DocumentNoSeriesTypeCode["Customer"] = 19] = "Customer";
    DocumentNoSeriesTypeCode[DocumentNoSeriesTypeCode["Salesperson"] = 20] = "Salesperson";
    DocumentNoSeriesTypeCode[DocumentNoSeriesTypeCode["Vendor"] = 21] = "Vendor";
    DocumentNoSeriesTypeCode[DocumentNoSeriesTypeCode["SalesPackage"] = 22] = "SalesPackage";
    DocumentNoSeriesTypeCode[DocumentNoSeriesTypeCode["SalesReturnOrder"] = 23] = "SalesReturnOrder";
    DocumentNoSeriesTypeCode[DocumentNoSeriesTypeCode["TransferOrder"] = 24] = "TransferOrder";
    DocumentNoSeriesTypeCode[DocumentNoSeriesTypeCode["TransferShipment"] = 25] = "TransferShipment";
    DocumentNoSeriesTypeCode[DocumentNoSeriesTypeCode["TransferReceipt"] = 26] = "TransferReceipt";
    DocumentNoSeriesTypeCode[DocumentNoSeriesTypeCode["InventoryAdjustment"] = 27] = "InventoryAdjustment";
    DocumentNoSeriesTypeCode[DocumentNoSeriesTypeCode["Subscription"] = 28] = "Subscription";
})(DocumentNoSeriesTypeCode || (exports.DocumentNoSeriesTypeCode = DocumentNoSeriesTypeCode = {}));
var DocumentNoSeriesInvoiceType;
(function (DocumentNoSeriesInvoiceType) {
    DocumentNoSeriesInvoiceType["SalesInvoice"] = "Sales Invoice";
    DocumentNoSeriesInvoiceType["PurchaseInvoice"] = "Purchase Invoice";
})(DocumentNoSeriesInvoiceType || (exports.DocumentNoSeriesInvoiceType = DocumentNoSeriesInvoiceType = {}));
var DocumentNoSeriesInvoiceTypeCode;
(function (DocumentNoSeriesInvoiceTypeCode) {
    DocumentNoSeriesInvoiceTypeCode[DocumentNoSeriesInvoiceTypeCode["SalesInvoice"] = 1] = "SalesInvoice";
    DocumentNoSeriesInvoiceTypeCode[DocumentNoSeriesInvoiceTypeCode["PurchaseInvoice"] = 2] = "PurchaseInvoice";
})(DocumentNoSeriesInvoiceTypeCode || (exports.DocumentNoSeriesInvoiceTypeCode = DocumentNoSeriesInvoiceTypeCode = {}));
var BankLedgerEntryDocumentType;
(function (BankLedgerEntryDocumentType) {
    BankLedgerEntryDocumentType["Payment"] = "Payment";
    BankLedgerEntryDocumentType["PaymentRefund"] = "Payment Refund";
    BankLedgerEntryDocumentType["CashReceipt"] = "Cash Receipt";
    BankLedgerEntryDocumentType["CashReceiptRefund"] = "Cash Receipt Refund";
    BankLedgerEntryDocumentType["Correction"] = "Correction";
})(BankLedgerEntryDocumentType || (exports.BankLedgerEntryDocumentType = BankLedgerEntryDocumentType = {}));
var BankLedgerEntryDocumentTypeCode;
(function (BankLedgerEntryDocumentTypeCode) {
    BankLedgerEntryDocumentTypeCode[BankLedgerEntryDocumentTypeCode["Payment"] = 1] = "Payment";
    BankLedgerEntryDocumentTypeCode[BankLedgerEntryDocumentTypeCode["PaymentRefund"] = 2] = "PaymentRefund";
    BankLedgerEntryDocumentTypeCode[BankLedgerEntryDocumentTypeCode["CashReceipt"] = 3] = "CashReceipt";
    BankLedgerEntryDocumentTypeCode[BankLedgerEntryDocumentTypeCode["CashReceiptRefund"] = 4] = "CashReceiptRefund";
    BankLedgerEntryDocumentTypeCode[BankLedgerEntryDocumentTypeCode["Correction"] = 5] = "Correction";
})(BankLedgerEntryDocumentTypeCode || (exports.BankLedgerEntryDocumentTypeCode = BankLedgerEntryDocumentTypeCode = {}));
var BankLedgerEntryStatus;
(function (BankLedgerEntryStatus) {
    BankLedgerEntryStatus["Unreconciled"] = "Unreconciled";
    BankLedgerEntryStatus["Reconciled"] = "Reconciled";
})(BankLedgerEntryStatus || (exports.BankLedgerEntryStatus = BankLedgerEntryStatus = {}));
var BankLedgerEntryStatusCode;
(function (BankLedgerEntryStatusCode) {
    BankLedgerEntryStatusCode[BankLedgerEntryStatusCode["Unreconciled"] = 1] = "Unreconciled";
    BankLedgerEntryStatusCode[BankLedgerEntryStatusCode["Reconciled"] = 2] = "Reconciled";
})(BankLedgerEntryStatusCode || (exports.BankLedgerEntryStatusCode = BankLedgerEntryStatusCode = {}));
var TaxType;
(function (TaxType) {
    TaxType["VAT"] = "VAT";
    TaxType["WithholdingTax"] = "Withholding Tax";
})(TaxType || (exports.TaxType = TaxType = {}));
var TaxTypeCode;
(function (TaxTypeCode) {
    TaxTypeCode[TaxTypeCode["VAT"] = 1] = "VAT";
    TaxTypeCode[TaxTypeCode["WithholdingTax"] = 2] = "WithholdingTax";
})(TaxTypeCode || (exports.TaxTypeCode = TaxTypeCode = {}));
var TransactionTaxType;
(function (TransactionTaxType) {
    TransactionTaxType["VATIn"] = "VAT In";
    TransactionTaxType["VATOut"] = "VAT Out";
    TransactionTaxType["WithholdingTax"] = "Withholding Tax";
})(TransactionTaxType || (exports.TransactionTaxType = TransactionTaxType = {}));
var TransactionTaxTypeCode;
(function (TransactionTaxTypeCode) {
    TransactionTaxTypeCode[TransactionTaxTypeCode["VATIn"] = 1] = "VATIn";
    TransactionTaxTypeCode[TransactionTaxTypeCode["VATOut"] = 2] = "VATOut";
    TransactionTaxTypeCode[TransactionTaxTypeCode["WithholdingTax"] = 3] = "WithholdingTax";
})(TransactionTaxTypeCode || (exports.TransactionTaxTypeCode = TransactionTaxTypeCode = {}));
var PaymentMethodType;
(function (PaymentMethodType) {
    PaymentMethodType["Cash"] = "Cash";
    PaymentMethodType["Bank"] = "Bank";
    PaymentMethodType["OnlinePayment"] = "Online Payment";
})(PaymentMethodType || (exports.PaymentMethodType = PaymentMethodType = {}));
var PaymentMethodTypeCode;
(function (PaymentMethodTypeCode) {
    PaymentMethodTypeCode[PaymentMethodTypeCode["Cash"] = 1] = "Cash";
    PaymentMethodTypeCode[PaymentMethodTypeCode["Bank"] = 2] = "Bank";
    PaymentMethodTypeCode[PaymentMethodTypeCode["OnlinePayment"] = 3] = "OnlinePayment";
})(PaymentMethodTypeCode || (exports.PaymentMethodTypeCode = PaymentMethodTypeCode = {}));
var InventoryItemTrackingDocumentType;
(function (InventoryItemTrackingDocumentType) {
    InventoryItemTrackingDocumentType[InventoryItemTrackingDocumentType["InventoryAdjustment"] = 1] = "InventoryAdjustment";
    InventoryItemTrackingDocumentType[InventoryItemTrackingDocumentType["TransferShipment"] = 2] = "TransferShipment";
    InventoryItemTrackingDocumentType[InventoryItemTrackingDocumentType["TransferReceipt"] = 3] = "TransferReceipt";
})(InventoryItemTrackingDocumentType || (exports.InventoryItemTrackingDocumentType = InventoryItemTrackingDocumentType = {}));
var TaskQueueDocumentType;
(function (TaskQueueDocumentType) {
    TaskQueueDocumentType["InventoryAdjustment"] = "Inventory Adjustment";
    TaskQueueDocumentType["TransferShipment"] = "Transfer Shipment";
    TaskQueueDocumentType["TransferReceipt"] = "Transfer Receipt";
    TaskQueueDocumentType["PurchaseReceipt"] = "Purchase Receipt";
    TaskQueueDocumentType["PurchaseInvoice"] = "Purchase Invoice";
    TaskQueueDocumentType["PurchaseShipment"] = "Purchase Shipment";
    TaskQueueDocumentType["PurchaseCreditMemo"] = "Purchase Credit Memo";
    TaskQueueDocumentType["SalesShipment"] = "Sales Shipment";
    TaskQueueDocumentType["SalesInvoice"] = "Sales Invoice";
    TaskQueueDocumentType["SalesReceipt"] = "Sales Receipt";
    TaskQueueDocumentType["SalesCreditMemo"] = "Sales Credit Memo";
    TaskQueueDocumentType["POSSales"] = "POS Sale";
    TaskQueueDocumentType["Subscription"] = "Subscription";
    TaskQueueDocumentType["Loyalty"] = "Loyalty";
})(TaskQueueDocumentType || (exports.TaskQueueDocumentType = TaskQueueDocumentType = {}));
var TaskQueueDocumentTypeCode;
(function (TaskQueueDocumentTypeCode) {
    TaskQueueDocumentTypeCode[TaskQueueDocumentTypeCode["InventoryAdjustment"] = 1] = "InventoryAdjustment";
    TaskQueueDocumentTypeCode[TaskQueueDocumentTypeCode["TransferShipment"] = 2] = "TransferShipment";
    TaskQueueDocumentTypeCode[TaskQueueDocumentTypeCode["TransferReceipt"] = 3] = "TransferReceipt";
    TaskQueueDocumentTypeCode[TaskQueueDocumentTypeCode["PurchaseReceipt"] = 4] = "PurchaseReceipt";
    TaskQueueDocumentTypeCode[TaskQueueDocumentTypeCode["PurchaseInvoice"] = 5] = "PurchaseInvoice";
    TaskQueueDocumentTypeCode[TaskQueueDocumentTypeCode["PurchaseShipment"] = 6] = "PurchaseShipment";
    TaskQueueDocumentTypeCode[TaskQueueDocumentTypeCode["PurchaseCreditMemo"] = 7] = "PurchaseCreditMemo";
    TaskQueueDocumentTypeCode[TaskQueueDocumentTypeCode["SalesShipment"] = 8] = "SalesShipment";
    TaskQueueDocumentTypeCode[TaskQueueDocumentTypeCode["SalesInvoice"] = 9] = "SalesInvoice";
    TaskQueueDocumentTypeCode[TaskQueueDocumentTypeCode["SalesReceipt"] = 10] = "SalesReceipt";
    TaskQueueDocumentTypeCode[TaskQueueDocumentTypeCode["SalesCreditMemo"] = 11] = "SalesCreditMemo";
    TaskQueueDocumentTypeCode[TaskQueueDocumentTypeCode["POSSales"] = 12] = "POSSales";
    TaskQueueDocumentTypeCode[TaskQueueDocumentTypeCode["Subscription"] = 13] = "Subscription";
    TaskQueueDocumentTypeCode[TaskQueueDocumentTypeCode["Loyalty"] = 14] = "Loyalty";
})(TaskQueueDocumentTypeCode || (exports.TaskQueueDocumentTypeCode = TaskQueueDocumentTypeCode = {}));
//# sourceMappingURL=transaction.enum.js.map