import { ObjectId } from 'mongodb';
import { Projection, Sort } from '../../enum';
import { BaseExtractFields } from '../base.interface';
export interface ISubscriptionBillingIntervalDocument {
    _id?: ObjectId;
    code: string;
    name: string;
    is_active: boolean;
}
export interface ISubscriptionBillingIntervalResult extends Partial<ISubscriptionBillingIntervalDocument> {
}
export interface ISubscriptionBillingIntervalSpec<T> extends Partial<Record<keyof ISubscriptionBillingIntervalDocument, T>> {
}
export interface ISubscriptionBillingIntervalInfo extends Omit<ISubscriptionBillingIntervalDocument, BaseExtractFields> {
}
export interface ISubscriptionBillingIntervalUpdateDocument extends ISubscriptionBillingIntervalResult {
}
export interface ISubscriptionBillingIntervalFilter extends ISubscriptionBillingIntervalResult {
}
export interface ISubscriptionBillingIntervalProjection extends ISubscriptionBillingIntervalSpec<Projection> {
}
export interface ISubscriptionBillingIntervalSort extends ISubscriptionBillingIntervalSpec<Sort> {
}
