import { ObjectId } from 'mongodb';
export interface IMenuResult {
    _id?: ObjectId;
    name?: string;
    icon?: string;
    url?: string;
    index?: number;
    app_type?: number;
    app_id?: ObjectId;
    categories?: [
        {
            _id?: ObjectId;
            name?: string;
            icon?: string;
            url?: string;
            index?: number;
            groups?: [
                {
                    _id?: ObjectId;
                    name?: string;
                    icon?: string;
                    url?: string;
                    index?: number;
                    is_active?: boolean;
                }
            ];
            is_active?: boolean;
        }
    ];
    is_active?: boolean;
}
export interface IMenuFilter extends IMenuResult {
}
