import { Db } from 'mongodb';
import { ISubscriptionStatus, ISubscriptionStatusCode } from '../../enum';
import Model from '../base.model';
import { IAppDocument, IAppUpdateDocument, IAppFilter, IAppProjection, IAppResult, IAppSort, IAppInfo } from '../../interfaces';
export default class App extends Model<IAppDocument, IAppUpdateDocument, IAppFilter, IAppProjection, IAppResult, IAppSort> {
    constructor(db: Db);
    make(info: IAppInfo): IAppDocument;
    status(code: ISubscriptionStatusCode): ISubscriptionStatus;
}
