import { Db } from 'mongodb';
import Model from '../base.model';
import { IBankAccountDocument, IBankAccountUpdateDocument, IBankAccountFilter, IBankAccountProjection, IBankAccountResult, IBankAccountSort, IBankAccountInfo } from '../../interfaces';
export default class BankAccount extends Model<IBankAccountDocument, IBankAccountUpdateDocument, IBankAccountFilter, IBankAccountProjection, IBankAccountResult, IBankAccountSort, any, any> {
    constructor(db: Db);
    make(info: IBankAccountInfo): IBankAccountDocument;
}
