import { Db } from 'mongodb';
import { IBankLedgerEntryDocument, IBankLedgerEntryUpdateDocument, IBankLedgerEntryFilter, IBankLedgerEntryProjection, IBankLedgerEntryResult, IBankLedgerEntrySort, IBankLedgerEntryInfo } from '../../interfaces';
import Model from '../base.model';
export default class BankLedgerEntry extends Model<IBankLedgerEntryDocument, IBankLedgerEntryUpdateDocument, IBankLedgerEntryFilter, IBankLedgerEntryProjection, IBankLedgerEntryResult, IBankLedgerEntrySort> {
    constructor(db: Db);
    make(info: IBankLedgerEntryInfo): IBankLedgerEntryDocument;
}
