import { Db } from 'mongodb';
import Model from '../base.model';
import { IBankReconcileDocument, IBankReconcileUpdateDocument, IBankReconcileFilter, IBankReconcileProjection, IBankReconcileResult, IBankReconcileSort, IBankReconcileInfo } from '../../interfaces';
export default class BankReconcile extends Model<IBankReconcileDocument, IBankReconcileUpdateDocument, IBankReconcileFilter, IBankReconcileProjection, IBankReconcileResult, IBankReconcileSort> {
    constructor(db: Db);
    make(info: IBankReconcileInfo): IBankReconcileDocument;
}
