import { Db } from 'mongodb';
import Model from '../base.model';
import { IConfigDocumentNoSeriesDocument, IConfigDocumentNoSeriesUpdateDocument, IConfigDocumentNoSeriesFilter, IConfigDocumentNoSeriesProjection, IConfigDocumentNoSeriesResult, IConfigDocumentNoSeriesSort, IConfigDocumentNoSeriesInfo } from '../../interfaces';
export default class ConfigDocumentNoSeries extends Model<IConfigDocumentNoSeriesDocument, IConfigDocumentNoSeriesUpdateDocument, IConfigDocumentNoSeriesFilter, IConfigDocumentNoSeriesProjection, IConfigDocumentNoSeriesResult, IConfigDocumentNoSeriesSort, any, any> {
    constructor(db: Db);
    make(info: IConfigDocumentNoSeriesInfo): IConfigDocumentNoSeriesDocument;
}
