import { Db } from 'mongodb';
import Model from '../base.model';
import { ICurrencyDocument, ICurrencyUpdateDocument, ICurrencyFilter, ICurrencyProjection, ICurrencyResult, ICurrencySort, ICurrencyInfo } from '../../interfaces';
export default class Currency extends Model<ICurrencyDocument, ICurrencyUpdateDocument, ICurrencyFilter, ICurrencyProjection, ICurrencyResult, ICurrencySort> {
    constructor(db: Db);
    make(info: ICurrencyInfo): ICurrencyDocument;
}
