import { Db } from 'mongodb';
import { DocumentNoSeriesInvoiceType, DocumentNoSeriesInvoiceTypeCode, DocumentNoSeriesType, DocumentNoSeriesTypeCode } from '../../enum';
import Model from '../base.model';
import { IDocumentNoSeriesHistoryDocument, IDocumentNoSeriesHistoryFilter, IDocumentNoSeriesHistoryProjection, IDocumentNoSeriesHistoryResult, IDocumentNoSeriesHistorySort, IDocumentNoSeriesHistoryInfo } from '../../interfaces';
export default class DocumentNoSeriesHistory extends Model<IDocumentNoSeriesHistoryDocument, null, IDocumentNoSeriesHistoryFilter, IDocumentNoSeriesHistoryProjection, IDocumentNoSeriesHistoryResult, IDocumentNoSeriesHistorySort, any, any> {
    constructor(db: Db);
    make(info: IDocumentNoSeriesHistoryInfo): IDocumentNoSeriesHistoryDocument;
    setDocumentNo<T>(documents: Array<any>, documentNo: string, field?: string): Array<T>;
    type(typeCode: DocumentNoSeriesTypeCode): DocumentNoSeriesType;
    invoiceType(invoiceTypeCode: DocumentNoSeriesInvoiceTypeCode): DocumentNoSeriesInvoiceType;
}
