import { Db } from 'mongodb';
import Model from '../base.model';
import { IInventoryItemTrackingTransientDocument, IInventoryItemTrackingTransientUpdateDocument, IInventoryItemTrackingTransientFilter, IInventoryItemTrackingTransientProjection, IInventoryItemTrackingTransientResult, IInventoryItemTrackingTransientSort, IInventoryItemTrackingTransientInfo } from '../../interfaces';
export default class InventoryItemTrackingTransient extends Model<IInventoryItemTrackingTransientDocument, IInventoryItemTrackingTransientUpdateDocument, IInventoryItemTrackingTransientFilter, IInventoryItemTrackingTransientProjection, IInventoryItemTrackingTransientResult, IInventoryItemTrackingTransientSort, any, any> {
    constructor(db: Db);
    make(info: IInventoryItemTrackingTransientInfo): IInventoryItemTrackingTransientDocument;
}
