import { Db } from 'mongodb';
import Model from '../base.model';
import { IItemBrandDocument, IItemBrandUpdateDocument, IItemBrandFilter, IItemBrandSort, IItemBrandResult, IItemBrandProjection, IItemBrandInfo } from '../../interfaces';
export default class ItemBrand extends Model<IItemBrandDocument, IItemBrandUpdateDocument, IItemBrandFilter, IItemBrandProjection, IItemBrandResult, IItemBrandSort> {
    constructor(db: Db);
    make(info: IItemBrandInfo): IItemBrandDocument;
}
