import Model from '../base.model';
import { IItemLedgerEntryDocument, IItemLedgerEntryUpdateDocument, IItemLedgerEntryFilter, IItemLedgerEntryResult, IItemLedgerEntryInfo, IItemLedgerEntryProjection, IItemLedgerEntrySort } from '../../interfaces';
import { Db } from 'mongodb';
export default class ItemLedgerEntry extends Model<IItemLedgerEntryDocument, IItemLedgerEntryUpdateDocument, IItemLedgerEntryFilter, IItemLedgerEntryProjection, IItemLedgerEntryResult, IItemLedgerEntrySort> {
    constructor(db: Db);
    make(info: IItemLedgerEntryInfo): IItemLedgerEntryDocument;
}
