import { Db } from 'mongodb';
import Model from '../base.model';
import { IItemTrackingDocument, IItemTrackingUpdateDocument, IItemTrackingFilter, IItemTrackingProjection, IItemTrackingResult, IItemTrackingSort, IItemTrackingInfo } from '../../interfaces';
export default class ItemTracking extends Model<IItemTrackingDocument, IItemTrackingUpdateDocument, IItemTrackingFilter, IItemTrackingProjection, IItemTrackingResult, IItemTrackingSort> {
    constructor(db: Db);
    make(info: IItemTrackingInfo): IItemTrackingDocument;
}
