import { Db } from 'mongodb';
import { ITransferOrderLineDocument, ITransferOrderLineFilter, ITransferOrderLineInfo, ITransferOrderLineProjection, ITransferOrderLineResult, ITransferOrderLineSort, ITransferOrderLineUpdateDocument } from '../../interfaces/inventory';
import Model from '../base.model';
export default class TransferOrderLine extends Model<ITransferOrderLineDocument, ITransferOrderLineUpdateDocument, ITransferOrderLineFilter, ITransferOrderLineProjection, ITransferOrderLineResult, ITransferOrderLineSort> {
    constructor(db: Db);
    make(info: ITransferOrderLineInfo): ITransferOrderLineDocument;
}
