import { Db } from 'mongodb';
import { ITransferReceiptHeaderDocument, ITransferReceiptHeaderFilter, ITransferReceiptHeaderInfo, ITransferReceiptHeaderProjection, ITransferReceiptHeaderResult, ITransferReceiptHeaderSort, ITransferReceiptHeaderUpdateDocument } from '../../interfaces';
import Model from '../base.model';
export default class TransferReceiptHeader extends Model<ITransferReceiptHeaderDocument, ITransferReceiptHeaderUpdateDocument, ITransferReceiptHeaderFilter, ITransferReceiptHeaderProjection, ITransferReceiptHeaderResult, ITransferReceiptHeaderSort> {
    constructor(db: Db);
    make(info: ITransferReceiptHeaderInfo): ITransferReceiptHeaderDocument;
}
