import { Db } from 'mongodb';
import { ITransferReceiptLineDocument, ITransferReceiptLineFilter, ITransferReceiptLineInfo, ITransferReceiptLineProjection, ITransferReceiptLineResult, ITransferReceiptLineSort, ITransferReceiptLineUpdateDocument } from '../../interfaces';
import Model from '../base.model';
export default class TransferReceiptLine extends Model<ITransferReceiptLineDocument, ITransferReceiptLineUpdateDocument, ITransferReceiptLineFilter, ITransferReceiptLineProjection, ITransferReceiptLineResult, ITransferReceiptLineSort> {
    constructor(db: Db);
    make(info: ITransferReceiptLineInfo): ITransferReceiptLineDocument;
}
