import { Db } from 'mongodb';
import { ITransferShipmentHeaderDocument, ITransferShipmentHeaderFilter, ITransferShipmentHeaderInfo, ITransferShipmentHeaderProjection, ITransferShipmentHeaderResult, ITransferShipmentHeaderSort, ITransferShipmentHeaderUpdateDocument } from '../../interfaces';
import Model from '../base.model';
export default class TransferShipmentHeader extends Model<ITransferShipmentHeaderDocument, ITransferShipmentHeaderUpdateDocument, ITransferShipmentHeaderFilter, ITransferShipmentHeaderProjection, ITransferShipmentHeaderResult, ITransferShipmentHeaderSort> {
    constructor(db: Db);
    make(info: ITransferShipmentHeaderInfo): ITransferShipmentHeaderDocument;
}
