import { Db } from 'mongodb';
import { ITransferShipmentLineDocument, ITransferShipmentLineFilter, ITransferShipmentLineInfo, ITransferShipmentLineProjection, ITransferShipmentLineResult, ITransferShipmentLineSort, ITransferShipmentLineUpdateDocument } from '../../interfaces';
import Model from '../base.model';
export default class TransferShipmentLine extends Model<ITransferShipmentLineDocument, ITransferShipmentLineUpdateDocument, ITransferShipmentLineFilter, ITransferShipmentLineProjection, ITransferShipmentLineResult, ITransferShipmentLineSort> {
    constructor(db: Db);
    make(info: ITransferShipmentLineInfo): ITransferShipmentLineDocument;
}
