"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const enum_1 = require("../../enum");
const base_model_1 = __importDefault(require("../base.model"));
class UOM extends base_model_1.default {
    constructor(db) {
        super(db, enum_1.Collections.UnitOfMeasure);
    }
    make(info) {
        return {
            name: info.name,
            description: info.description || null,
            factor: info.factor || 1,
            is_active: true,
            created_at: new Date(),
            created_by: info.created_by,
            updated_at: null,
            updated_by: null,
        };
    }
}
exports.default = UOM;
//# sourceMappingURL=uom.model.js.map