import { Db } from 'mongodb';
import Model from '../base.model';
import { LoyaltyEntryType, LoyaltyEntryTypeCode } from '../../enum';
import { ILoyaltyLedgerEntryDocument, ILoyaltyLedgerEntryResult, ILoyaltyLedgerEntryFilter, ILoyaltyLedgerEntryProjection, ILoyaltyLedgerEntrySort, ILoyaltyLedgerEntryUpdateDocument, ILoyaltyLedgerEntryInfo } from '../../interfaces';
export default class LoyaltyLedgerEntry extends Model<ILoyaltyLedgerEntryDocument, ILoyaltyLedgerEntryUpdateDocument, ILoyaltyLedgerEntryFilter, ILoyaltyLedgerEntryProjection, ILoyaltyLedgerEntryResult, ILoyaltyLedgerEntrySort> {
    constructor(db: Db);
    make(info: ILoyaltyLedgerEntryInfo): ILoyaltyLedgerEntryDocument;
    entryType(entryTypeCode: LoyaltyEntryTypeCode): LoyaltyEntryType;
}
