import { Db } from 'mongodb';
import Model from '../base.model';
import { LoyaltyMembershipStatus, LoyaltyMembershipStatusCode } from '../../enum';
import { ILoyaltyMembershipDocument, ILoyaltyMembershipResult, ILoyaltyMembershipFilter, ILoyaltyMembershipProjection, ILoyaltyMembershipSort, ILoyaltyMembershipUpdateDocument, ILoyaltyMembershipInfo } from '../../interfaces';
export default class LoyaltyMembership extends Model<ILoyaltyMembershipDocument, ILoyaltyMembershipUpdateDocument, ILoyaltyMembershipFilter, ILoyaltyMembershipProjection, ILoyaltyMembershipResult, ILoyaltyMembershipSort> {
    constructor(db: Db);
    make(info: ILoyaltyMembershipInfo): ILoyaltyMembershipDocument;
    status(statusCode: LoyaltyMembershipStatusCode): LoyaltyMembershipStatus;
}
