import { Db } from 'mongodb';
import Model from '../base.model';
import { IAppSettingDocument, IAppSettingUpdateDocument, IAppSettingFilter, IAppSettingProjection, IAppSettingResult, IAppSettingSort, IAppSettingInfo } from '../../interfaces';
export default class AppSetting extends Model<IAppSettingDocument, IAppSettingUpdateDocument, IAppSettingFilter, IAppSettingProjection, IAppSettingResult, IAppSettingSort> {
    constructor(db: Db);
    make(info: IAppSettingInfo): IAppSettingDocument;
}
