import { Db } from 'mongodb';
import { FloorPlanStatus, FloorPlanStatusCode } from '../../enum';
import Model from '../base.model';
import { IFloorPlanDocument, IFloorPlanUpdateDocument, IFloorPlanFilter, IFloorPlanProjection, IFloorPlanResult, IFloorPlanSort, IFloorPlanInfo } from '../../interfaces';
export default class FloorPlan extends Model<IFloorPlanDocument, IFloorPlanUpdateDocument, IFloorPlanFilter, IFloorPlanProjection, IFloorPlanResult, IFloorPlanSort> {
    constructor(db: Db);
    make(info: IFloorPlanInfo): IFloorPlanDocument;
    status(code: FloorPlanStatusCode): FloorPlanStatus;
}
