import { Db } from 'mongodb';
import { POSUserStatus, POSUserStatusCode } from '../../enum';
import Model from '../base.model';
import { IPOSUserDocument, IPOSUserUpdateDocument, IPOSUserFilter, IPOSUserProjection, IPOSUserResult, IPOSUserSort, IPOSUserInfo } from '../../interfaces';
export default class POSUser extends Model<IPOSUserDocument, IPOSUserUpdateDocument, IPOSUserFilter, IPOSUserProjection, IPOSUserResult, IPOSUserSort> {
    constructor(db: Db);
    make(info: IPOSUserInfo): IPOSUserDocument;
    status(code: POSUserStatusCode): POSUserStatus;
}
