import { Db } from 'mongodb';
import { TableStatusCode } from '../../enum';
import Model from '../base.model';
import { ITableDocument, ITableUpdateDocument, ITableFilter, ITableProjection, ITableResult, ITableSort, ITableInfo } from '../../interfaces';
export default class Table extends Model<ITableDocument, ITableUpdateDocument, ITableFilter, ITableProjection, ITableResult, ITableSort> {
    constructor(db: Db);
    make(info: ITableInfo): ITableDocument;
    status(code: TableStatusCode): TableStatusCode;
}
