import { Db } from 'mongodb';
import Model from '../base.model';
import { IPaymentTermDocument, IPaymentTermUpdateDocument, IPaymentTermFilter, IPaymentTermProjection, IPaymentTermResult, IPaymentTermSort, IPaymentTermInfo } from '../../interfaces';
export default class PaymentTerm extends Model<IPaymentTermDocument, IPaymentTermUpdateDocument, IPaymentTermFilter, IPaymentTermProjection, IPaymentTermResult, IPaymentTermSort, any, any> {
    constructor(db: Db);
    make(info: IPaymentTermInfo): IPaymentTermDocument;
}
