import { Db } from 'mongodb';
import Model from '../base.model';
import { IPurchaseQuoteLineDocument, IPurchaseQuoteLineFilter, IPurchaseQuoteLineInfo, IPurchaseQuoteLineProjection, IPurchaseQuoteLineResult, IPurchaseQuoteLineSort, IPurchaseQuoteLineUpdateDocument } from '../../interfaces/purchase/purchase.quote.interface';
export default class PurchaseQuoteLine extends Model<IPurchaseQuoteLineDocument, IPurchaseQuoteLineUpdateDocument, IPurchaseQuoteLineFilter, IPurchaseQuoteLineProjection, IPurchaseQuoteLineResult, IPurchaseQuoteLineSort> {
    constructor(db: Db);
    make(info: IPurchaseQuoteLineInfo): IPurchaseQuoteLineDocument;
    makeUpdate(info: IPurchaseQuoteLineInfo): IPurchaseQuoteLineUpdateDocument;
}
