import { Db } from 'mongodb';
import Model from '../base.model';
import { IPurchaseReceiptHeaderDocument, IPurchaseReceiptHeaderFilter, IPurchaseReceiptHeaderResult, IPurchaseReceiptHeaderSort, IPurchaseReceiptHeaderUpdateDocument, IPurchaseReceiptHeaderProjection, IPurchaseReceiptHeaderInfo } from '../../interfaces';
export default class PurchaseReceiptHeader extends Model<IPurchaseReceiptHeaderDocument, IPurchaseReceiptHeaderUpdateDocument, IPurchaseReceiptHeaderFilter, IPurchaseReceiptHeaderProjection, IPurchaseReceiptHeaderResult, IPurchaseReceiptHeaderSort> {
    constructor(db: Db);
    make(info: IPurchaseReceiptHeaderInfo): IPurchaseReceiptHeaderDocument;
}
