import { Db } from 'mongodb';
import Model from '../base.model';
import { IPurchaseShipmentHeaderDocument, IPurchaseShipmentHeaderFilter, IPurchaseShipmentHeaderResult, IPurchaseShipmentHeaderSort, IPurchaseShipmentHeaderUpdateDocument, IPurchaseShipmentHeaderProjection, IPurchaseShipmentHeaderInfo } from '../../interfaces';
export default class PurchaseShipmentOrderHeader extends Model<IPurchaseShipmentHeaderDocument, IPurchaseShipmentHeaderUpdateDocument, IPurchaseShipmentHeaderFilter, IPurchaseShipmentHeaderProjection, IPurchaseShipmentHeaderResult, IPurchaseShipmentHeaderSort> {
    constructor(db: Db);
    make(info: IPurchaseShipmentHeaderInfo): IPurchaseShipmentHeaderDocument;
}
