import { Db } from 'mongodb';
import Model from '../base.model';
import { IPurchaseShipmentLineDocument, IPurchaseShipmentLineFilter, IPurchaseShipmentLineResult, IPurchaseShipmentLineSort, IPurchaseShipmentLineUpdateDocument, IPurchaseShipmentLineProjection, IPurchaseShipmentLineInfo } from '../../interfaces';
export default class PurchaseShipmentLine extends Model<IPurchaseShipmentLineDocument, IPurchaseShipmentLineUpdateDocument, IPurchaseShipmentLineFilter, IPurchaseShipmentLineProjection, IPurchaseShipmentLineResult, IPurchaseShipmentLineSort> {
    constructor(db: Db);
    make(info: IPurchaseShipmentLineInfo): IPurchaseShipmentLineDocument;
}
