import { Db } from 'mongodb';
import { TaskQueueStatus, TaskQueueStatusCode } from '../../enum';
import Model from '../base.model';
import { ITaskQueueDocument, ITaskQueueUpdateDocument, ITaskQueueFilter, ITaskQueueProjection, ITaskQueueResult, ITaskQueueSort, ITaskQueueInfo } from '../../interfaces';
export default class TaskQueue extends Model<ITaskQueueDocument, ITaskQueueUpdateDocument, ITaskQueueFilter, ITaskQueueProjection, ITaskQueueResult, ITaskQueueSort, any, any> {
    constructor(db: Db, collection: string);
    make(info: ITaskQueueInfo): ITaskQueueDocument;
    status(code: TaskQueueStatusCode): TaskQueueStatus;
}
