import { Db } from 'mongodb';
import Model from '../base.model';
import { ICustomerLedgerEntryDocument, ICustomerLedgerEntryUpdateDocument, ICustomerLedgerEntryFilter, ICustomerLedgerEntryProjection, ICustomerLedgerEntryResult, ICustomerLedgerEntrySort, ICustomerLedgerEntryInfo } from '../../interfaces';
export default class CustomerLedgerEntry extends Model<ICustomerLedgerEntryDocument, ICustomerLedgerEntryUpdateDocument, ICustomerLedgerEntryFilter, ICustomerLedgerEntryProjection, ICustomerLedgerEntryResult, ICustomerLedgerEntrySort> {
    constructor(db: Db);
    make(info: ICustomerLedgerEntryInfo): ICustomerLedgerEntryDocument;
}
