import { Db } from 'mongodb';
import { ICustomerDocument, ICustomerUpdateDocument, ICustomerFilter, ICustomerProjection, ICustomerResult, ICustomerSort, ICustomerInfo } from '../../interfaces';
import Model from '../base.model';
export default class Customer extends Model<ICustomerDocument, ICustomerUpdateDocument, ICustomerFilter, ICustomerProjection, ICustomerResult, ICustomerSort> {
    constructor(db: Db);
    make(info: ICustomerInfo): ICustomerDocument;
    makeUpdate(info: ICustomerInfo, document: ICustomerResult): ICustomerUpdateDocument;
}
