import { Db } from 'mongodb';
import Model from '../base.model';
import { ISalesCreditMemoLineDocument, ISalesCreditMemoLineUpdateDocument, ISalesCreditMemoLineFilter, ISalesCreditMemoLineProjection, ISalesCreditMemoLineResult, ISalesCreditMemoLineSort, ISalesCreditMemoLineInfo } from '../../interfaces';
export default class SalesCreditMemoLine extends Model<ISalesCreditMemoLineDocument, ISalesCreditMemoLineUpdateDocument, ISalesCreditMemoLineFilter, ISalesCreditMemoLineProjection, ISalesCreditMemoLineResult, ISalesCreditMemoLineSort> {
    constructor(db: Db);
    make(info: ISalesCreditMemoLineInfo): ISalesCreditMemoLineDocument;
}
