import { Db } from 'mongodb';
import Model from '../base.model';
import { CashReceiptStatus, CashReceiptStatusCode } from '../../enum';
import { ISalesInvoiceHeaderDocument, ISalesInvoiceHeaderUpdateDocument, ISalesInvoiceHeaderFilter, ISalesInvoiceHeaderProjection, ISalesInvoiceHeaderResult, ISalesInvoiceHeaderSort, ISalesInvoiceHeaderInfo } from '../../interfaces';
export default class SalesInvoiceHeader extends Model<ISalesInvoiceHeaderDocument, ISalesInvoiceHeaderUpdateDocument, ISalesInvoiceHeaderFilter, ISalesInvoiceHeaderProjection, ISalesInvoiceHeaderResult, ISalesInvoiceHeaderSort> {
    constructor(db: Db);
    make(info: ISalesInvoiceHeaderInfo): ISalesInvoiceHeaderDocument;
    status(statusCode: CashReceiptStatusCode): CashReceiptStatus;
}
