import { Db } from 'mongodb';
import Model from '../base.model';
import { ISalesInvoiceLineDocument, ISalesInvoiceLineUpdateDocument, ISalesInvoiceLineFilter, ISalesInvoiceLineProjection, ISalesInvoiceLineResult, ISalesInvoiceLineSort, ISalesInvoiceLineInfo } from '../../interfaces';
export default class SalesInvoiceLine extends Model<ISalesInvoiceLineDocument, ISalesInvoiceLineUpdateDocument, ISalesInvoiceLineFilter, ISalesInvoiceLineProjection, ISalesInvoiceLineResult, ISalesInvoiceLineSort> {
    constructor(db: Db);
    make(info: ISalesInvoiceLineInfo): ISalesInvoiceLineDocument;
}
