import { Db } from 'mongodb';
import Model from '../base.model';
import { ISalesItemTrackingTransientDocument, ISalesItemTrackingTransientUpdateDocument, ISalesItemTrackingTransientFilter, ISalesItemTrackingTransientProjection, ISalesItemTrackingTransientResult, ISalesItemTrackingTransientSort, ISalesItemTrackingTransientInfo } from '../../interfaces';
export default class SalesItemTrackingTransient extends Model<ISalesItemTrackingTransientDocument, ISalesItemTrackingTransientUpdateDocument, ISalesItemTrackingTransientFilter, ISalesItemTrackingTransientProjection, ISalesItemTrackingTransientResult, ISalesItemTrackingTransientSort, any, any> {
    constructor(db: Db);
    make(info: ISalesItemTrackingTransientInfo): ISalesItemTrackingTransientDocument;
}
