import { Db } from 'mongodb';
import { SalesDocumentStatus, SalesDocumentStatusCode } from '../../enum';
import { ISalesQuoteHeaderDocument, ISalesQuoteHeaderFilter, ISalesQuoteHeaderInfo, ISalesQuoteHeaderProjection, ISalesQuoteHeaderResult, ISalesQuoteHeaderSort, ISalesQuoteHeaderUpdateDocument } from '../../interfaces';
import Model from '../base.model';
export default class SalesQuoteHeader extends Model<ISalesQuoteHeaderDocument, ISalesQuoteHeaderUpdateDocument, ISalesQuoteHeaderFilter, ISalesQuoteHeaderProjection, ISalesQuoteHeaderResult, ISalesQuoteHeaderSort> {
    constructor(db: Db);
    make(info: ISalesQuoteHeaderInfo): ISalesQuoteHeaderDocument;
    status(statusCode: SalesDocumentStatusCode): SalesDocumentStatus;
}
