import { Db } from 'mongodb';
import { ISalesQuoteLineDocument, ISalesQuoteLineFilter, ISalesQuoteLineInfo, ISalesQuoteLineProjection, ISalesQuoteLineResult, ISalesQuoteLineSort, ISalesQuoteLineUpdateDocument } from '../../interfaces';
import Model from '../base.model';
export default class SalesQuoteLine extends Model<ISalesQuoteLineDocument, ISalesQuoteLineUpdateDocument, ISalesQuoteLineFilter, ISalesQuoteLineProjection, ISalesQuoteLineResult, ISalesQuoteLineSort> {
    constructor(db: Db);
    make(info: ISalesQuoteLineInfo): ISalesQuoteLineDocument;
}
