import { Db } from 'mongodb';
import Model from '../base.model';
import { ISalesReceiptHeaderDocument, ISalesReceiptHeaderUpdateDocument, ISalesReceiptHeaderFilter, ISalesReceiptHeaderProjection, ISalesReceiptHeaderResult, ISalesReceiptHeaderSort, ISalesReceiptHeaderInfo } from '../../interfaces';
export default class SalesReceiptHeader extends Model<ISalesReceiptHeaderDocument, ISalesReceiptHeaderUpdateDocument, ISalesReceiptHeaderFilter, ISalesReceiptHeaderProjection, ISalesReceiptHeaderResult, ISalesReceiptHeaderSort> {
    constructor(db: Db);
    make(info: ISalesReceiptHeaderInfo): ISalesReceiptHeaderDocument;
}
