import { Db } from 'mongodb';
import Model from '../base.model';
import { ISalesReceiptLineDocument, ISalesReceiptLineUpdateDocument, ISalesReceiptLineFilter, ISalesReceiptLineProjection, ISalesReceiptLineResult, ISalesReceiptLineSort, ISalesReceiptLineInfo } from '../../interfaces';
export default class SalesReceiptLine extends Model<ISalesReceiptLineDocument, ISalesReceiptLineUpdateDocument, ISalesReceiptLineFilter, ISalesReceiptLineProjection, ISalesReceiptLineResult, ISalesReceiptLineSort> {
    constructor(db: Db);
    make(info: ISalesReceiptLineInfo): ISalesReceiptLineDocument;
}
