import { Db } from 'mongodb';
import Model from '../base.model';
import { ISalesShipmentLineDocument, ISalesShipmentLineUpdateDocument, ISalesShipmentLineFilter, ISalesShipmentLineProjection, ISalesShipmentLineResult, ISalesShipmentLineSort, ISalesShipmentLineInfo } from '../../interfaces';
export default class SalesShipmentLine extends Model<ISalesShipmentLineDocument, ISalesShipmentLineUpdateDocument, ISalesShipmentLineFilter, ISalesShipmentLineProjection, ISalesShipmentLineResult, ISalesShipmentLineSort> {
    constructor(db: Db);
    make(info: ISalesShipmentLineInfo): ISalesShipmentLineDocument;
}
