import { Db } from 'mongodb';
import { ISalespersonDocument, ISalespersonUpdateDocument, ISalespersonFilter, ISalespersonProjection, ISalespersonResult, ISalespersonSort, ISalespersonInfo } from '../../interfaces';
import Model from '../base.model';
export default class Salesperson extends Model<ISalespersonDocument, ISalespersonUpdateDocument, ISalespersonFilter, ISalespersonProjection, ISalespersonResult, ISalespersonSort> {
    constructor(db: Db);
    make(info: ISalespersonInfo): ISalespersonDocument;
}
