import { Db } from 'mongodb';
import Model from './base.model';
import { ISetupDocument, ISetupUpdateDocument, ISetupFilter, ISetupProjection, ISetupResult, ISetupSort, ISetupInfo } from '../interfaces';
export default class Setup extends Model<ISetupDocument, ISetupUpdateDocument, ISetupFilter, ISetupProjection, ISetupResult, ISetupSort, any, any> {
    constructor(db: Db, collection: string);
    make(info: ISetupInfo): ISetupDocument;
    makeUpdate(info: ISetupInfo): ISetupUpdateDocument;
}
