"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const base_model_1 = __importDefault(require("./base.model"));
class Setup extends base_model_1.default {
    constructor(db, collection) {
        super(db, collection);
    }
    make(info) {
        return {
            name: info.name,
            description: info.description || null,
            has_transaction: false,
            is_active: info.is_active,
            created_at: new Date(),
            created_by: info.created_by,
            updated_at: null,
            updated_by: null,
        };
    }
    makeUpdate(info) {
        return {
            name: info.name,
            description: info.description || null,
            is_active: info.is_active,
            updated_at: new Date(),
            updated_by: info.updated_by,
        };
    }
}
exports.default = Setup;
//# sourceMappingURL=setup.model.js.map