import { Db } from 'mongodb';
import Model from '../base.model';
import { BillingCycle, BillingCycleCode } from '../../enum';
import { ISubscriptionAddonDocument, ISubscriptionAddonResult, ISubscriptionAddonFilter, ISubscriptionAddonProjection, ISubscriptionAddonSort, ISubscriptionAddonUpdateDocument, ISubscriptionAddonInfo } from '../../interfaces';
export default class SubscriptionAddon extends Model<ISubscriptionAddonDocument, ISubscriptionAddonUpdateDocument, ISubscriptionAddonFilter, ISubscriptionAddonProjection, ISubscriptionAddonResult, ISubscriptionAddonSort> {
    constructor(db: Db);
    make(info: ISubscriptionAddonInfo): ISubscriptionAddonDocument;
    billingCycle(code: BillingCycleCode): BillingCycle;
}
