import { Db } from 'mongodb';
import Model from '../base.model';
import { ISubscriptionProductDocument, ISubscriptionProductResult, ISubscriptionProductFilter, ISubscriptionProductProjection, ISubscriptionProductSort, ISubscriptionProductUpdateDocument, ISubscriptionProductInfo } from '../../interfaces';
export default class SubscriptionProduct extends Model<ISubscriptionProductDocument, ISubscriptionProductUpdateDocument, ISubscriptionProductFilter, ISubscriptionProductProjection, ISubscriptionProductResult, ISubscriptionProductSort> {
    constructor(db: Db);
    make(info: ISubscriptionProductInfo): ISubscriptionProductDocument;
}
