import { Db } from 'mongodb';
import Model from '../base.model';
import { IBranchResult, IBranchFilter, IBranchProjection, IBranchInfo, IBranchSort, IBranchDocument, IBranchUpdateDocument } from '../../interfaces';
export default class Company extends Model<IBranchDocument, IBranchUpdateDocument, IBranchFilter, IBranchProjection, IBranchResult, IBranchSort> {
    constructor(db: Db);
    make(info: IBranchInfo): IBranchDocument;
}
