import { Db } from 'mongodb';
import Model from '../base.model';
import { IResetPasswordFilter, IResetPasswordProjection, IResetPasswordDocument, IResetPasswordInfo, IResetPasswordResult, IResetPasswordUpdateDocument } from '../../interfaces';
export default class ResetPassword extends Model<IResetPasswordDocument, IResetPasswordUpdateDocument, IResetPasswordFilter, IResetPasswordProjection, IResetPasswordResult, null, null, null> {
    constructor(db: Db);
    make(info: IResetPasswordInfo): IResetPasswordDocument;
}
