import { Db } from 'mongodb';
import Model from '../base.model';
import { IRoleResult, IRoleFilter, IRoleDocument, IRoleUpdateDocument, IRoleProjection, IRoleSort, IRoleInfo } from '../../interfaces';
export default class Role extends Model<IRoleDocument, IRoleUpdateDocument, IRoleFilter, IRoleProjection, IRoleResult, IRoleSort, any, any> {
    constructor(db: Db);
    make(info: IRoleInfo): IRoleDocument;
}
