import { Db, MongoClient } from 'mongodb';
import { IDeleteUseCase, IDeleteResponse } from '../../features';
import { IUserCached } from '../../interfaces';
export default class DeleteUseCase implements IDeleteUseCase {
    private db;
    private model;
    private deleteKey;
    private filterWithBranch;
    constructor(db: Db | MongoClient, model: any, deleteKey?: string, filterWithBranch?: boolean);
    exec(id: string, userInfo: IUserCached): Promise<IDeleteResponse>;
}
