import { Db, MongoClient } from 'mongodb';
import { IGetByIdUseCase, IGetByIdResponse } from '../../features';
import { IUserCached } from '../../interfaces';
export default class GetById implements IGetByIdUseCase {
    private db;
    private model;
    private projection;
    private filterWithBranch;
    constructor(db: Db | MongoClient, model: any, projection?: {}, filterWithBranch?: boolean);
    exec(id: string, userInfo: IUserCached): Promise<IGetByIdResponse>;
}
