import { Db, MongoClient } from 'mongodb';
import { ICreateSetupUseCase, ICreateSetupResponse } from '../../features';
export default class CreateSetupUseCase implements ICreateSetupUseCase {
    private db;
    private model;
    private countFilterFieldName;
    constructor(db: Db | MongoClient, model: any, countFilterFieldName?: string);
    exec(setupInfo: any): Promise<ICreateSetupResponse>;
}
