import { Db, MongoClient } from 'mongodb';
import { IDeleteSetupUseCase, IDeleteSetupResponse } from '../../features';
export default class DeleteSetupUseCase implements IDeleteSetupUseCase {
    private db;
    private model;
    private deleteKey;
    constructor(db: Db | MongoClient, model: any, deleteKey?: string);
    exec(id: string): Promise<IDeleteSetupResponse>;
}
