declare enum Type {
    PreviousMonth = 0,
    CurrentMonth = 1,
    NextMonth = 2
}
declare enum DateType {
    FirstDay = 0,
    LastDay = 1
}
export declare function getDate(type: Type, firstDay: DateType): number;
export declare function getLastDayOfPreviousMonth(): number;
export declare function getLastDayOfCurrentMonth(): number;
export declare function getLastDayOfNextMonth(): number;
export declare function getFirstDayOfPreviousMonth(): number;
export declare function getFirstDayOfCurrentMonth(): number;
export declare function getFirstDayOfNextMonth(): number;
export declare function sumDate(date: Date, value: number): Date;
export declare function subDate(date: Date, value: number): Date;
export declare function utcDateOnly(value: string): Date;
export declare function convertDateToTime(value: string): number;
export {};
