import { IJWTError, IVerifyAuthInfo, IVerifyAuthResponse, IVerifyPOSAuthInfo, IVerifyServiceAuthResponse } from '../interfaces';
export declare function createAccessToken<T>(payload: T | any, secret: string, options?: object): string;
export declare function verifyAccessToken<T>(token: string, secret: string, options?: object): T | IJWTError;
export declare function verifyAuth(info: IVerifyAuthInfo, authApiURL: any): Promise<IVerifyAuthResponse>;
export declare function verifyServiceAuth(memo: string, authApiURL: any): Promise<IVerifyServiceAuthResponse>;
export declare function verifyPOSAuth(info: IVerifyPOSAuthInfo, authApiURL: any): Promise<IVerifyAuthResponse>;
